/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#ifndef _SVX_CHARDLG_H
#define _SVX_CHARDLG_H

// define ----------------------------------------------------------------

#define CHRDLG_UNDERLINE_NONE               0
#define CHRDLG_UNDERLINE_SINGLE             1
#define CHRDLG_UNDERLINE_DOUBLE             2
#define CHRDLG_UNDERLINE_DOTTED             3
#define CHRDLG_UNDERLINE_DONTKNOW           4
#define CHRDLG_UNDERLINE_DASH               5
#define CHRDLG_UNDERLINE_LONGDASH           6
#define CHRDLG_UNDERLINE_DASHDOT            7
#define CHRDLG_UNDERLINE_DASHDOTDOT         8
#define CHRDLG_UNDERLINE_SMALLWAVE          9
#define CHRDLG_UNDERLINE_WAVE               10
#define CHRDLG_UNDERLINE_DOUBLEWAVE         11
#define CHRDLG_UNDERLINE_BOLD               12
#define CHRDLG_UNDERLINE_BOLDDOTTED         13
#define CHRDLG_UNDERLINE_BOLDDASH           14
#define CHRDLG_UNDERLINE_BOLDLONGDASH       15
#define CHRDLG_UNDERLINE_BOLDDASHDOT        16
#define CHRDLG_UNDERLINE_BOLDDASHDOTDOT     17
#define CHRDLG_UNDERLINE_BOLDWAVE           18

#define CHRDLG_STRIKEOUT_NONE               0
#define CHRDLG_STRIKEOUT_SINGLE             1
#define CHRDLG_STRIKEOUT_DOUBLE             2
#define CHRDLG_STRIKEOUT_DONTKNOW           3
#define CHRDLG_STRIKEOUT_BOLD               4
#define CHRDLG_STRIKEOUT_SLASH              5
#define CHRDLG_STRIKEOUT_X                  6

#define CHRDLG_ENCLOSE_NONE                 0
#define CHRDLG_ENCLOSE_ROUND                1
#define CHRDLG_ENCLOSE_SQUARE               2
#define CHRDLG_ENCLOSE_POINTED              3
#define CHRDLG_ENCLOSE_CURVED               4
#define CHRDLG_ENCLOSE_SPECIAL_CHAR         5

#define CHRDLG_POSITION_OVER                0
#define CHRDLG_POSITION_UNDER               1

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
