# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This file incorporates work covered by the following license notice:
#
#   Licensed to the Apache Software Foundation (ASF) under one or more
#   contributor license agreements. See the NOTICE file distributed
#   with this work for additional information regarding copyright
#   ownership. The ASF licenses this file to you under the Apache
#   License, Version 2.0 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.apache.org/licenses/LICENSE-2.0 .
#

$(eval $(call gb_Package_Package,editeng_inc,$(SRCDIR)/editeng/inc))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleComponentBase.hxx,editeng/AccessibleComponentBase.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleContextBase.hxx,editeng/AccessibleContextBase.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleEditableTextPara.hxx,editeng/AccessibleEditableTextPara.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleImageBullet.hxx,editeng/AccessibleImageBullet.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleParaManager.hxx,editeng/AccessibleParaManager.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleSelectionBase.hxx,editeng/AccessibleSelectionBase.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleStaticTextBase.hxx,editeng/AccessibleStaticTextBase.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/AccessibleStringWrap.hxx,editeng/AccessibleStringWrap.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/acorrcfg.hxx,editeng/acorrcfg.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/adjitem.hxx,editeng/adjitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/akrnitem.hxx,editeng/akrnitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/blnkitem.hxx,editeng/blnkitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/bolnitem.hxx,editeng/bolnitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/borderline.hxx,editeng/borderline.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/boxitem.hxx,editeng/boxitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/brkitem.hxx,editeng/brkitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/brshitem.hxx,editeng/brshitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/bulitem.hxx,editeng/bulitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/charhiddenitem.hxx,editeng/charhiddenitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/charreliefitem.hxx,editeng/charreliefitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/charrotateitem.hxx,editeng/charrotateitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/charscaleitem.hxx,editeng/charscaleitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/cmapitem.hxx,editeng/cmapitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/cntritem.hxx,editeng/cntritem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/colritem.hxx,editeng/colritem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/crsditem.hxx,editeng/crsditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/cscoitem.hxx,editeng/cscoitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editdata.hxx,editeng/editdata.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editeng.hxx,editeng/editeng.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editengdllapi.h,editeng/editengdllapi.h))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editerr.hxx,editeng/editerr.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editids.hrc,editeng/editids.hrc))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editobj.hxx,editeng/editobj.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editrids.hrc,editeng/editrids.hrc))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editstat.hxx,editeng/editstat.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editund2.hxx,editeng/editund2.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/editview.hxx,editeng/editview.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/edtdlg.hxx,editeng/edtdlg.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/eedata.hxx,editeng/eedata.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/eeitem.hxx,editeng/eeitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/eeitemid.hxx,editeng/eeitemid.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/eerdll.hxx,editeng/eerdll.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/emphitem.hxx,editeng/emphitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/escpitem.hxx,editeng/escpitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/fhgtitem.hxx,editeng/fhgtitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/fieldupdater.hxx,editeng/fieldupdater.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/flditem.hxx,editeng/flditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/flstitem.hxx,editeng/flstitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/fontitem.hxx,editeng/fontitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/forbiddencharacterstable.hxx,editeng/forbiddencharacterstable.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/forbiddenruleitem.hxx,editeng/forbiddenruleitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/frmdir.hxx,editeng/frmdir.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/frmdiritem.hxx,editeng/frmdiritem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/fwdtitem.hxx,editeng/fwdtitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/hangulhanja.hxx,editeng/hangulhanja.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/hngpnctitem.hxx,editeng/hngpnctitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/hyznitem.hxx,editeng/hyznitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/itemtype.hxx,editeng/itemtype.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/justifyitem.hxx,editeng/justifyitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/keepitem.hxx,editeng/keepitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/kernitem.hxx,editeng/kernitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/langitem.hxx,editeng/langitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/lcolitem.hxx,editeng/lcolitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/lrspitem.hxx,editeng/lrspitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/lspcitem.hxx,editeng/lspcitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/measfld.hxx,editeng/measfld.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/memberids.hrc,editeng/memberids.hrc))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/mutxhelp.hxx,editeng/mutxhelp.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/nhypitem.hxx,editeng/nhypitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/nlbkitem.hxx,editeng/nlbkitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/numdef.hxx,editeng/numdef.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/numitem.hxx,editeng/numitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/opaqitem.hxx,editeng/opaqitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/optitems.hxx,editeng/optitems.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/orphitem.hxx,editeng/orphitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/outliner.hxx,editeng/outliner.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/outlobj.hxx,editeng/outlobj.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/paperinf.hxx,editeng/paperinf.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/paragraphdata.hxx,editeng/paragraphdata.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/paravertalignitem.hxx,editeng/paravertalignitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/pbinitem.hxx,editeng/pbinitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/pgrditem.hxx,editeng/pgrditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/pmdlitem.hxx,editeng/pmdlitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/postitem.hxx,editeng/postitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/prntitem.hxx,editeng/prntitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/protitem.hxx,editeng/protitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/prszitem.hxx,editeng/prszitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/rsiditem.hxx,editeng/rsiditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/scriptspaceitem.hxx,editeng/scriptspaceitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/scripttypeitem.hxx,editeng/scripttypeitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/shaditem.hxx,editeng/shaditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/shdditem.hxx,editeng/shdditem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/sizeitem.hxx,editeng/sizeitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/SpellPortions.hxx,editeng/SpellPortions.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/spltitem.hxx,editeng/spltitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/splwrap.hxx,editeng/splwrap.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/svxacorr.hxx,editeng/svxacorr.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/svxenum.hxx,editeng/svxenum.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/svxfont.hxx,editeng/svxfont.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/svxrtf.hxx,editeng/svxrtf.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/swafopt.hxx,editeng/swafopt.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/tstpitem.hxx,editeng/tstpitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/twolinesitem.hxx,editeng/twolinesitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/txtrange.hxx,editeng/txtrange.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/udlnitem.hxx,editeng/udlnitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/ulspitem.hxx,editeng/ulspitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoedhlp.hxx,editeng/unoedhlp.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoedprx.hxx,editeng/unoedprx.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoedsrc.hxx,editeng/unoedsrc.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unofdesc.hxx,editeng/unofdesc.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unofield.hxx,editeng/unofield.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/UnoForbiddenCharsTable.hxx,editeng/UnoForbiddenCharsTable.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unofored.hxx,editeng/unofored.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoforou.hxx,editeng/unoforou.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoipset.hxx,editeng/unoipset.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unolingu.hxx,editeng/unolingu.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unonrule.hxx,editeng/unonrule.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unopracc.hxx,editeng/unopracc.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoprnms.hxx,editeng/unoprnms.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unotext.hxx,editeng/unotext.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/unoviwou.hxx,editeng/unoviwou.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/wghtitem.hxx,editeng/wghtitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/widwitem.hxx,editeng/widwitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/writingmodeitem.hxx,editeng/writingmodeitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/wrlmitem.hxx,editeng/wrlmitem.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/xmlcnitm.hxx,editeng/xmlcnitm.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/LookupTree.hxx,editeng/LookupTree.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/Node.hxx,editeng/Node.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/TreeHead.hxx,editeng/TreeHead.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/LatinLookupTree.hxx,editeng/LatinLookupTree.hxx))
$(eval $(call gb_Package_add_file,editeng_inc,inc/editeng/LatinTreeNode.hxx,editeng/LatinTreeNode.hxx))

# vim: set noet sw=4 ts=4:
