# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

$(eval $(call gb_AllLangZip_AllLangZip,accessoriestemplateslayout,$(call gb_UnpackedTarball_get_dir,templates-pack)/templates/layout/lang,$(true)))

$(eval $(call gb_AllLangZip_add_dependencies,accessoriestemplateslayout,\
	$(call gb_UnpackedTarball_get_target,templates-pack) \
))

$(eval $(call gb_AllLangZip_add_files,accessoriestemplateslayout,\
	cs/dummy_templates.txt \
	de/A4-kariert.otp \
	de/BlueBoxes.otp \
	de/BlueSilver.otp \
	de/bluesquares.otp \
	de/BlueWavesTempl-1.otp \
	de/Butterflies.otp \
	de/coolspace.otp \
	de/Cubes_1x.otp \
	de/DABlueChecker.otp \
	de/DABlueCircle.otp \
	de/DABlueCloud.otp \
	de/DABlueStars.otp \
	de/DABlueWhiteFlower.otp \
	de/DALetters.otp \
	de/DAMultiStars2.otp \
	de/DAOrangeTexture.otp \
	de/DAPinkCloud.otp \
	de/DASnowFlacks.otp \
	de/DASparkle.otp \
	de/dummy_templates.txt \
	de/earthlight.otp \
	de/edu1.otp \
	de/email.otp \
	de/Espai.otp \
	de/Foral-Studio_A01.otp \
	de/jp-temple.otp \
	de/karteikarte.otp \
	de/lamp.otp \
	de/landscape.otp \
	de/lay_wood.otp \
	de/lyt-acryl.otp \
	de/lyt-aquarell2.otp \
	de/lyt-aquarell.otp \
	de/lyt-bluecrystals.otp \
	de/lyt-bluegradback.otp \
	de/lyt-bluelightning.otp \
	de/lyt-bluelines.otp \
	de/lyt-blueripplewave.otp \
	de/lyt-bluesmoke.otp \
	de/lyt-brightcirc.otp \
	de/lyt-brightlines.otp \
	de/lyt-brightpainting.otp \
	de/lyt-colorfulchars.otp \
	de/lyt-colornumbers.otp \
	de/lyt-colorpainting.otp \
	de/lyt-darkcirc.otp \
	de/lyt-darkpainting.otp \
	de/lyt-fractalspiral.otp \
	de/lyt-frozen.otp \
	de/lyt-glow.otp \
	de/lyt-golddown.otp \
	de/lyt-golddrop.otp \
	de/lyt-gradshad.otp \
	de/lyt-greenlines.otp \
	de/lyt-greenmosaic.otp \
	de/lyt-greenwaterpainting.otp \
	de/lyt-mezzo.otp \
	de/lyt-numbeffect.otp \
	de/lyt-orange.otp \
	de/lyt-organic_black.otp \
	de/lyt-paintingred.otp \
	de/lyt-paintwaves.otp \
	de/lyt-papertop.otp \
	de/lyt-pastell_pyr.otp \
	de/lyt-plastic.otp \
	de/lyt-raster.otp \
	de/lyt-rectbright.otp \
	de/lyt-rednoise.otp \
	de/lyt-redstorm.otp \
	de/lyt-redsunrise.otp \
	de/lyt-reyellin.otp \
	de/lyt-simblue.otp \
	de/lyt-simpleblue.otp \
	de/lyt-sunrise_lines.otp \
	de/lyt-techborder.otp \
	de/lyt-technical.otp \
	de/lyt-typography.otp \
	de/lyt-violetlightning.otp \
	de/lyt-watercolor.otp \
	de/lyt-waterstorm.otp \
	de/lyt-whitemountains.otp \
	de/lyt-yereblend.otp \
	de/MarbleTempl-2.otp \
	de/mondo_cyan.otp \
	de/mondo_green.otp \
	de/mondo_yellow.otp \
	de/ooo_20_basis.otp \
	de/ooo_blue.otp \
	de/ooo_red.otp \
	de/openblue.otp \
	de/Ortra.otp \
	de/Plantilla_Fresas.otp \
	de/redStar.otp \
	de/relief.otp \
	de/sidepanel_blue.otp \
	de/sidepanel_cloud.otp \
	de/sidepanel_green.otp \
	de/sidepanel_red.otp \
	de/Simple.otp \
	de/soleil.otp \
	de/steps.otp \
	de/techno_sphere_template.otp \
	de/UserGroup_agenda.otp \
	de/vortrag_blau.otp \
	en-US/A4-kariert.otp \
	en-US/apothecaryBottles.otp \
	en-US/Beach.otp \
	en-US/Black-cyan-yellow.otp \
	en-US/Black-orange.otp \
	en-US/BlueBend.otp \
	en-US/BlueBoxes.otp \
	en-US/Blue_Dots.otp \
	en-US/BlueSilver.otp \
	en-US/BlueSkyLine.otp \
	en-US/bluesquares.otp \
	en-US/BlueWavesTempl-1.otp \
	en-US/Blue-yellow-white.otp \
	en-US/brasil.otp \
	en-US/BTC.otp \
	en-US/Butterflies.otp \
	en-US/Candy.otp \
	en-US/Chalkboard_2.otp \
	en-US/Chalkboard.otp \
	en-US/Cheesy.otp \
	en-US/circular.otp \
	en-US/coolspace.otp \
	en-US/Cubes_1x.otp \
	en-US/Cultural.otp \
	en-US/DABlueChecker.otp \
	en-US/DABlueCircle.otp \
	en-US/DABlueCloud.otp \
	en-US/DABlueStars.otp \
	en-US/DABlueWhiteFlower.otp \
	en-US/DALetters.otp \
	en-US/DAMultiStars2.otp \
	en-US/DAOrangeTexture.otp \
	en-US/DAPinkCloud.otp \
	en-US/DASnowFlacks.otp \
	en-US/DASparkle.otp \
	en-US/Desert.otp \
	en-US/dummy_templates.txt \
	en-US/earthlight.otp \
	en-US/edu1.otp \
	en-US/email.otp \
	en-US/Espai.otp \
	en-US/Foot-prints.otp \
	en-US/Foral-Studio_A01.otp \
	en-US/Globe_-_Presentation_1.otp \
	en-US/Globe_-_Presentation_2.otp \
	en-US/Grad-blue_2.otp \
	en-US/Grad-blue_3.otp \
	en-US/Grad-blue.otp \
	en-US/Grad-cyan-black.otp \
	en-US/Grad-gray-blue.otp \
	en-US/Grad-lightblue_2.otp \
	en-US/Grad-lightblue.otp \
	en-US/Grad-mediumblue.otp \
	en-US/Grad-purple.otp \
	en-US/grapefruit.otp \
	en-US/Gray-green.otp \
	en-US/Green_Dots.otp \
	en-US/Green_leaf.otp \
	en-US/GreenMosaics.otp \
	en-US/GreenNGray.otp \
	en-US/informatica2.otp \
	en-US/informatica.otp \
	en-US/jp-temple.otp \
	en-US/karteikarte.otp \
	en-US/Keynote_template.otp \
	en-US/lamp.otp \
	en-US/landscape.otp \
	en-US/lay_wood.otp \
	en-US/listras.otp \
	en-US/lyt-acryl.otp \
	en-US/lyt-aquarell2.otp \
	en-US/lyt-aquarell.otp \
	en-US/lyt-bluecrystals.otp \
	en-US/lyt-bluegradback.otp \
	en-US/lyt-bluelightning.otp \
	en-US/lyt-bluelines.otp \
	en-US/lyt-blueripplewave.otp \
	en-US/lyt-bluesmoke.otp \
	en-US/lyt-brightcirc.otp \
	en-US/lyt-brightlines.otp \
	en-US/lyt-brightpainting.otp \
	en-US/lyt-colorfulchars.otp \
	en-US/lyt-colornumbers.otp \
	en-US/lyt-colorpainting.otp \
	en-US/lyt-darkcirc.otp \
	en-US/lyt-darkpainting.otp \
	en-US/lyt-fractalspiral.otp \
	en-US/lyt-frozen.otp \
	en-US/lyt-glow.otp \
	en-US/lyt-golddown.otp \
	en-US/lyt-golddrop.otp \
	en-US/lyt-gradshad.otp \
	en-US/lyt-greenlines.otp \
	en-US/lyt-greenmosaic.otp \
	en-US/lyt-greenwaterpainting.otp \
	en-US/lyt-mezzo.otp \
	en-US/lyt-numbeffect.otp \
	en-US/lyt-orange.otp \
	en-US/lyt-organic_black.otp \
	en-US/lyt-paintingred.otp \
	en-US/lyt-paintwaves.otp \
	en-US/lyt-papertop.otp \
	en-US/lyt-pastell_pyr.otp \
	en-US/lyt-plastic.otp \
	en-US/lyt-raster.otp \
	en-US/lyt-rectbright.otp \
	en-US/lyt-rednoise.otp \
	en-US/lyt-redstorm.otp \
	en-US/lyt-redsunrise.otp \
	en-US/lyt-reyellin.otp \
	en-US/lyt-simblue.otp \
	en-US/lyt-simpleblue.otp \
	en-US/lyt-sunrise_lines.otp \
	en-US/lyt-techborder.otp \
	en-US/lyt-technical.otp \
	en-US/lyt-typography.otp \
	en-US/lyt-violetlightning.otp \
	en-US/lyt-watercolor.otp \
	en-US/lyt-waterstorm.otp \
	en-US/lyt-whitemountains.otp \
	en-US/lyt-yereblend.otp \
	en-US/Marble2.otp \
	en-US/mondo_cyan.otp \
	en-US/mondo_green.otp \
	en-US/mondo_yellow.otp \
	en-US/Music.otp \
	en-US/ooo_20_basis.otp \
	en-US/OOo_Professional.otp \
	en-US/openblue.otp \
	en-US/orangebook.otp \
	en-US/Ortra.otp \
	en-US/Pixels.otp \
	en-US/Plantilla_Fresas.otp \
	en-US/quadrados_coloridos2.otp \
	en-US/quadrados_coloridos.otp \
	en-US/Red_Dots.otp \
	en-US/redStar.otp \
	en-US/relief.otp \
	en-US/Roses.otp \
	en-US/sidepanel_blue.otp \
	en-US/sidepanel_cloud.otp \
	en-US/sidepanel_green.otp \
	en-US/sidepanel_red.otp \
	en-US/simbologia.otp \
	en-US/Simple.otp \
	en-US/slides_blue-penrose_nojhan.otp \
	en-US/soleil.otp \
	en-US/squares.otp \
	en-US/SteelDesign.otp \
	en-US/steps.otp \
	en-US/technology.otp \
	en-US/techno_sphere_template.otp \
	en-US/Toulumne.otp \
	en-US/UserGroup_agenda.otp \
	en-US/White-blue.otp \
	en-US/White-blue_sky.otp \
	en-US/White-red_2.otp \
	en-US/White-red_3.otp \
	en-US/White-red.otp \
	en-US/Wire_Gulls_-_Blue.otp \
	en-US/Wire_Gulls_-_White.otp \
	en-US/With-year-2003.otp \
	en-US/With-year-2004.otp \
	en-US/With-year-2005.otp \
	en-US/With-years.otp \
	es/dummy_templates.txt \
	fi/dummy_templates.txt \
	fr/dummy_templates.txt \
	hu/compladients_1.otp \
	hu/compladients_2.otp \
	hu/compladients_3.otp \
	hu/compladients_4.otp \
	hu/compladients_5.otp \
	hu/Cross-color.otp \
	hu/Cross-gray.otp \
	hu/Cross-green.otp \
	hu/Cross-orange.otp \
	hu/Cross-white.otp \
	hu/Cross-yellow.otp \
	hu/Line-blue.otp \
	hu/Line-green.otp \
	hu/Line-orange.otp \
	hu/Line-red.otp \
	hu/Line-white.otp \
	hu/Line-yellow.otp \
	hu/Ooo_blue.otp \
	hu/Ooo_red.otp \
	hu/Ortra.otp \
	hu/Schatten-blau.otp \
	hu/Schatten-gelb.otp \
	hu/Schatten-gruen.otp \
	hu/Schatten-magenta.otp \
	hu/Schatten-orange.otp \
	hu/Schatten-rot.otp \
	hu/Schatten-tuerkis.otp \
	hu/Simple.otp \
	hu/Vortrag-blau.otp \
	hu/Vortrag-gelb.otp \
	hu/Vortrag-gruen.otp \
	hu/Vortrag-rot.otp \
	hu/Vortrag-schwarz.otp \
	hu/Vortrag-weiss.otp \
	it/dummy_templates.txt \
	ja/dummy_templates.txt \
	ka/dummy_templates.txt \
	nl/dummy_templates.txt \
	pl/dummy_templates.txt \
	pt-BR/dummy_templates.txt \
	sv/dummy_templates.txt \
	tr/dummy_templates.txt \
	zh-CN/dummy_templates.txt \
))

# vim: set noet sw=4 ts=4:
