# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

$(eval $(call gb_AllLangZip_AllLangZip,accessoriestemplatesmisc,$(call gb_UnpackedTarball_get_dir,templates-pack)/templates/misc/lang))

$(eval $(call gb_AllLangZip_add_dependencies,accessoriestemplatesmisc,\
	$(call gb_UnpackedTarball_get_target,templates-pack) \
))

$(eval $(call gb_AllLangZip_add_files,accessoriestemplatesmisc,\
	cs/dummy_templates.txt \
	de/01_event_poster.otg \
	de/02_event_poster.otg \
	de/03_event_poster.otg \
	de/04_event_poster.otg \
	de/12_Blatt_fuer_Notizen.ots \
	de/2_cd_inlays_fuer_rueckseite.otg \
	de/2_cd_inlays_fuer_vorderseite_je_2_seitig.otg \
	de/3DElements.ott \
	de/3_Monatsuebersicht_Kalender_fuer_Notizen.ots \
	de/3_Monatsuebersicht_Kalender_mit_Geburtstag.ots \
	de/Abreissblatt_A4_hoch.ott \
	de/Abreissblatt_A4_quer.ott \
	de/adressetiketten_3x8st_a_4x7cm_1_adresse_24x.ott \
	de/adressetiketten_3x8st_a_4x7cm_abfrage_24_adressen.ott \
	de/adressetiketten_3x8st_a_4x7cm_auswahl_1_etikett.ott \
	de/Aktenordnerbeschriftung_fur_breite_Sichtfenster.otg \
	de/Aktenordnerbeschriftung_fur_schmale_Sichtfenster.otg \
	de/Aktenordnerbeschriftung_zum_Kleben_fur_breite_Ordner.otg \
	de/Anwesenheitsliste_2006.ots \
	de/Anwesenheitsliste_2007.ots \
	de/Anwesenheitsliste_2008.ots \
	de/Anwesenheitsliste_2009.ots \
	de/Anwesenheitsliste_2010.ots \
	de/Auftragsbestaetigung_vorlage.ots \
	de/Automatischer_Tageskalender.ots \
	de/berichtsvorlage_5gestalten.ott \
	de/Briefumschlag_C4_Kuvert_Querformat.ott \
	de/cd_booklet_4_seitig.otg \
	de/CD-Booklet_4-seitig.otg \
	de/cd_booklet_inlet_audio_1_crossline.ott \
	de/cd_cover.otg \
	de/cd_huelle_fuer_duenne_huellen.otg \
	de/cd_inlay.ott \
	de/CD-Inlays_Ruckseite.otg \
	de/CD-Inlays_Vorderseite.otg \
	de/cd_label.otg \
	de/cd_labels.otg \
	de/CD-Labels.otg \
	de/cd_papierhuelle.otg \
	de/Dienstreiseausgleich_nach26_Ziff7.ots \
	de/DIN_A4_hoch.otg \
	de/DIN_A4_quer.otg \
	de/DPTC_divi_2x6.ott \
	de/DPTC_pyramids.otg \
	de/dvd_huelle.otg \
	de/entwurf.ott \
	de/Familien-Termin-Kalender-2007.ots \
	de/FerienKalender.ots \
	de/FOTOKALENDER_mit_Geburtstagen.ots \
	de/gantt.ots \
	de/glueckwunschkarte.otg \
	de/Gutschein.ott \
	de/inlay_set_fuer_cd_boxen.otg \
	de/Jahreskalender_2005.ots \
	de/Jahreskalender_2006.ots \
	de/Jahreskalender_2007.ots \
	de/Jahreskalender_2008.ots \
	de/Jahreskalender_2009.ots \
	de/Jahreskalender_2010.ots \
	de/jahreskalender_2.ots \
	de/Jahreskalender_horizontal.ots \
	de/jahreskalender_ooo.ots \
	de/jahreskalender.ots \
	de/Jahreskalender_vertikal.ots \
	de/Kalender_2005_Hochformat.ots \
	de/Kalender_2005_Querformat.ots \
	de/Kalender_2006_Hochformat.ots \
	de/Kalender_2006_Querformat.ots \
	de/Kalender_2007_Hochformat.ots \
	de/Kalender_2007_Querformat.ots \
	de/Kleine_Zeitung_back.ott \
	de/Kleine_Zeitung_front.ott \
	de/matheblatt_hz.ots \
	de/Monatlicher_Kalender.ots \
	de/Monatskalender_2.ots \
	de/monatskalender.ots \
	de/pflegetagebuch.ots \
	de/Projektkalender_2006.ots \
	de/Projektkalender_2007.ots \
	de/Projektkalender_2008.ots \
	de/Projektkalender_2009.ots \
	de/Projektkalender_2010.ots \
	de/Quittungen.ott \
	de/Schichtkalender.ots \
	de/schulausgangsschrift_druckvorlage.ott \
	de/sprachwissenschaftliche_hausarbeit.ott \
	de/Tagebuch_Vorlage.ott \
	de/Tageskalender.ots \
	de/Taschengeld.ots \
	de/Taschenkalender_2007_2008.ots \
	de/Terminkalender_2007_2008.ots \
	de/Terminkalender_2009_2010.ots \
	de/trennblaetter.ots \
	de/urkunden_vorlage.ott \
	de/vorlage_studienarbeit_mehrseitiger_verzeichnisteil.ott \
	de/vorlage_studienarbeit.ott \
	de/wissenschaftliche_hausarbeit.ott \
	en-US/01_event_poster.otg \
	en-US/0-20_Number_Labels_7651.ott \
	en-US/02_event_poster.otg \
	en-US/03_event_poster.otg \
	en-US/04_event_poster.otg \
	en-US/3DElements.ott \
	en-US/AveryA4CDTemplate.otg \
	en-US/A-Z_Lettering_Labels_7163.ott \
	en-US/A-Z_Lettering_Labels_7651.ott \
	en-US/BlueHome.ott \
	en-US/Booklet.ott \
	en-US/book_template.ott \
	en-US/brochure_2page.ott \
	en-US/bulletin_1.ott \
	en-US/Calendar_pg.ots \
	en-US/Calendar_Quarterly.ots \
	en-US/calender.ots \
	en-US/CD-BACK.ott \
	en-US/CD-booklet.ott \
	en-US/CD_Cover.otg \
	en-US/CD_DVD.ott \
	en-US/CD-JewelCase.ott \
	en-US/CD-Pressit.otg \
	en-US/CD_Template.otg \
	en-US/certificate_of_appreciation.ott \
	en-US/Clear_advantage-Blue.ott \
	en-US/Company-CD-Label2.ott \
	en-US/Company-CD-Label4.ott \
	en-US/Company-CD-Label.ott \
	en-US/Confidential_Labels_7651.ott \
	en-US/ConflictOfInterestNotice.ott \
	en-US/Congratulations_Banner.ott \
	en-US/consolidation_eng.ots \
	en-US/Convention_Schedule.ots \
	en-US/Cross_Labels_7651.ott \
	en-US/documentation.ott \
	en-US/excellence_award_2.ott \
	en-US/Expense_Report_Template.ots \
	en-US/Extra_Savings.ott \
	en-US/First_Class_Labels_7651.ott \
	en-US/flowchart.otg \
	en-US/Forever_CD_Label.odt \
	en-US/Forever_CD_Label.ott \
	en-US/funkeCDCover.otg \
	en-US/gantt_011d_en.ots \
	en-US/Gantt.ots \
	en-US/Get_Me_Another_Tie_CD_Label.ott \
	en-US/Keep_Dry_Labels_7169.ott \
	en-US/Landscape_Booklet.ott \
	en-US/MapCharts.ots \
	en-US/MonthlyCalendar.ots \
	en-US/New_Labels_7651.ott \
	en-US/newsletter_1.ott \
	en-US/newsletter_2.ott \
	en-US/NewsLetterTemplate.ott \
	en-US/Office-Label.ott \
	en-US/OOoCalendar.ots \
	en-US/OrigamiCD.otg \
	en-US/origamiletter.ott \
	en-US/Origami_Paper_CD_Cover.otg \
	en-US/OurGlobe.ott \
	en-US/Petit.ott \
	en-US/photo-label.ott \
	en-US/pricecard.ots \
	en-US/Private_Labels_7651.ott \
	en-US/Quote.ott \
	en-US/Recycle_Me_Labels_7651.ott \
	en-US/RepeatedMeasuresANOVA.ots \
	en-US/sale.otg \
	en-US/Seed_Packets.ott \
	en-US/Sold_Labels_7651.ott \
	en-US/sonnets-lullabyes.ott \
	en-US/Speed_advantage-Blue.ott \
	en-US/Statistical_calculator.ots \
	en-US/Stripes-in-Pink-CD-Label.ott \
	en-US/Tick_Labels_7651.ott \
	en-US/Title_Page_Template.ott \
	en-US/Trifold_v07.ott \
	en-US/Tutorial.ott \
	en-US/tyro_rota_05b.ots \
	en-US/validation_en.ots \
	en-US/VHS.otg \
	en-US/WeeklyCalendar.ots \
	en-US/WL-OL5000.ott \
	en-US/WL-OL5025.ott \
	en-US/WL-OL5050.otg \
	en-US/WL-OL5075.otg \
	en-US/writertemplate.ott \
	es/75437-CornellNotetaking.ott \
	fi/dummy_templates.txt \
	fr/calendannuel_horizontal_fr.ots \
	fr/calendannuel_Vertical_fr.ots \
	fr/calendrier2005.ots \
	fr/calendrier_mensuel_fr.ots \
	fr/calendrier_perpetuel.ots \
	fr/excellence2fr.ott \
	fr/HalPiratcd.otg \
	fr/Modele_HowTo.ott \
	hu/3DElements.ott \
	hu/A4-esborito2.otg \
	hu/A4-esborito.otg \
	hu/A5-osborito.otg \
	hu/artdecofejlec.ott \
	hu/beszallitok_minositese.ots \
	hu/BlueHome.ott \
	hu/Brinell-kemenysegmeres.ots \
	hu/Bulletin_1.ott \
	hu/CD_sablon_Alap_ures.otg \
	hu/CD_sablon_Normal.otg \
	hu/CD_sablon_Vekony.otg \
	hu/Clear_advantage-Blue.ott \
	hu/DVD_sablon.otg \
	hu/EN12209.ots \
	hu/HV_kemenyseg_vizsgalat.ots \
	hu/Idomszer_tervezo.ots \
	hu/ISO_2859-1.ots \
	hu/klasszikusbizonyitvany.ott \
	hu/Meresi_lap-turessel.ots \
	hu/naptar-hetfovel.ots \
	hu/Naptar_sablon-kombinalt.ots \
	hu/OurGlobe.ott \
	hu/programtar_nagy.ott \
	hu/programtar.ott \
	hu/Rugo_meretezes.ots \
	hu/Speed_advantage-Blue.ott \
	hu/Tick_Labels_7651.ott \
	hu/trifold.ott \
	it/calendar.ots \
	it/VHS.otg \
	ja/back_cover_for_12cmCD10mm_case.ott \
	ja/booklet_for_CD_case.ott \
	ja/Callender.ott \
	ja/Index_card_for_DVD_tall_case.ott \
	ka/dummy_templates.txt \
	nl/3DElements.ott \
	nl/Clear_advantage-Blue.ott \
	nl/Speed_advantage-Blue.ott \
	pl/absolwent_na_6.ott \
	pl/przedszkolak1.ott \
	pl/teczka_opis.otg \
	pl/wyroznienie.ott \
	pt-BR/3DElements.ott \
	pt-BR/Clear_advantage-Blue.ott \
	pt-BR/Speed_advantage-Blue.ott \
	sv/dummy_templates.txt \
	tr/dummy_templates.txt \
	zh-CN/dummy_templates.txt \
))

# vim: set noet sw=4 ts=4:
