/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

package ifc.drawing;

import lib.MultiPropertyTest;

/**
* Testing <code>com.sun.star.drawing.MeasureProperties</code>
* service properties :
* <ul>
*  <li><code> MeasureBelowReferenceEdge</code></li>
*  <li><code> MeasureHelpLine1Length</code></li>
*  <li><code> MeasureHelpLine2Length</code></li>
*  <li><code> MeasureHelpLineDistance</code></li>
*  <li><code> MeasureHelpLineOverhang</code></li>
*  <li><code> MeasureKind</code></li>
*  <li><code> MeasureLineDistance</code></li>
*  <li><code> MeasureOverhang</code></li>
*  <li><code> MeasureShowUnit</code></li>
*  <li><code> MeasureTextAutoAngle</code></li>
*  <li><code> MeasureTextAutoAngleView</code></li>
*  <li><code> MeasureTextFixedAngle</code></li>
*  <li><code> MeasureTextHorizontalPosition</code></li>
*  <li><code> MeasureTextVerticalPosition</code></li>
*  <li><code> MeasureTextIsFixedAngle</code></li>
*  <li><code> MeasureTextRotate90</code></li>
*  <li><code> MeasureTextUpsideDown</code></li>
* </ul> <p>
* Properties testing is automated by <code>lib.MultiPropertyTest</code>.
* @see com.sun.star.drawing.MeasureProperties
*/
public class _MeasureProperties extends MultiPropertyTest {

}

