/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

package ifc.drawing;

import lib.MultiPropertyTest;

/**
* Testing <code>com.sun.star.drawing.TextProperties</code>
* service properties :
* <ul>
*  <li><code> IsNumbering</code></li>
*  <li><code> NumberingRules</code></li>
*  <li><code> TextAutoGrowHeight</code></li>
*  <li><code> TextAutoGrowWidth</code></li>
*  <li><code> TextContourFrame</code></li>
*  <li><code> TextFitToSize</code></li>
*  <li><code> HorizontalAdjust</code></li>
*  <li><code> VerticalAdjust</code></li>
*  <li><code> TextLeftDistance</code></li>
*  <li><code> TextRightDistance</code></li>
*  <li><code> TextUpperDistance</code></li>
*  <li><code> TextLowerDistance</code></li>
*  <li><code> TextMaximumFrameHeight</code></li>
*  <li><code> TextMaximumFrameWidth</code></li>
*  <li><code> TextMinimumFrameHeight</code></li>
*  <li><code> TextMinimumFrameWidth</code></li>
*  <li><code> TextAnimationAmount</code></li>
*  <li><code> TextAnimationCount</code></li>
*  <li><code> TextAnimationDelay</code></li>
*  <li><code> TextAnimationDirection</code></li>
*  <li><code> TextAnimationKind</code></li>
*  <li><code> TextAnimationStartInside</code></li>
*  <li><code> TextAnimationStopInside</code></li>
*  <li><code> TextWritingMode</code></li>
* </ul> <p>
* Properties testing is automated by <code>lib.MultiPropertyTest</code>.
* @see com.sun.star.drawing.TextProperties
*/
public class _TextProperties extends MultiPropertyTest {

}

