/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

package ifc.formula;

import lib.MultiPropertyTest;

/**
* Testing <code>com.sun.star.formula.FormulaProperties</code>
* service properties :
* <ul>
*  <li><code> Alignment</code></li>
*  <li><code> BaseFontHeight</code></li>
*  <li><code> CustomFontNameFixed</code></li>
*  <li><code> FontFixedIsItalic</code></li>
*  <li><code> FontFixedIsBold</code></li>
*  <li><code> CustomFontNameSans</code></li>
*  <li><code> FontSansIsItalic</code></li>
*  <li><code> FontSansIsBold</code></li>
*  <li><code> CustomFontNameSerif</code></li>
*  <li><code> FontSerifIsItalic</code></li>
*  <li><code> FontSerifIsBold</code></li>
*  <li><code> FontNameFunctions</code></li>
*  <li><code> FontFunctionsIsItalic</code></li>
*  <li><code> FontFunctionsIsBold</code></li>
*  <li><code> FontNameNumbers</code></li>
*  <li><code> FontNumbersIsItalic</code></li>
*  <li><code> FontNumbersIsBold</code></li>
*  <li><code> FontNameText</code></li>
*  <li><code> FontTextIsItalic</code></li>
*  <li><code> FontTextIsBold</code></li>
*  <li><code> FontNameVariables</code></li>
*  <li><code> FontVariablesIsItalic</code></li>
*  <li><code> FontVariablesIsBold</code></li>
*  <li><code> Formula</code></li>
*  <li><code> IsScaleAllBrackets</code></li>
*  <li><code> IsTextMode</code></li>
*  <li><code> RelativeFontHeightFunctions</code></li>
*  <li><code> RelativeFontHeightIndices</code></li>
*  <li><code> RelativeFontHeightLimits</code></li>
*  <li><code> RelativeFontHeightOperators</code></li>
*  <li><code> RelativeFontHeightText</code></li>
*  <li><code> RelativeBracketDistance</code></li>
*  <li><code> RelativeBracketExcessSize</code></li>
*  <li><code> RelativeFractionBarExcessLength</code></li>
*  <li><code> RelativeFractionBarLineWeight</code></li>
*  <li><code> RelativeFractionDenominatorDepth</code></li>
*  <li><code> RelativeFractionNumeratorHeight</code></li>
*  <li><code> RelativeIndexSubscript</code></li>
*  <li><code> RelativeIndexSuperscript</code></li>
*  <li><code> RelativeLineSpacing</code></li>
*  <li><code> RelativeLowerLimitDistance</code></li>
*  <li><code> RelativeMatrixColumnSpacing</code></li>
*  <li><code> RelativeMatrixLineSpacing</code></li>
*  <li><code> RelativeOperatorExcessSize</code></li>
*  <li><code> RelativeOperatorSpacing</code></li>
*  <li><code> RelativeRootSpacing</code></li>
*  <li><code> RelativeScaleBracketExcessSize</code></li>
*  <li><code> RelativeSpacing</code></li>
*  <li><code> RelativeSymbolMinimumHeight</code></li>
*  <li><code> RelativeSymbolPrimaryHeight</code></li>
*  <li><code> RelativeUpperLimitDistance</code></li>
*  <li><code> TopMargin</code></li>
*  <li><code> BottomMargin</code></li>
*  <li><code> LeftMargin</code></li>
*  <li><code> RightMargin</code></li>
* </ul> <p>
* Properties testing is automated by <code>lib.MultiPropertyTest</code>.
* @see com.sun.star.formula.FormulaProperties
*/
public class _FormulaProperties extends MultiPropertyTest {


}  // finish class _FormulaProperties

