/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

package ifc.linguistic2;

import lib.MultiPropertyTest;

/**
* Testing <code>com.sun.star.linguistic2.LinguProperties</code>
* service properties:
* <ul>
*   <li><code>'IsGermanPreReform'</code></li>
*   <li><code>'IsUseDictionaryList'</code></li>
*   <li><code>'IsIgnoreControlCharacters'</code></li>
*   <li><code>'IsSpellUpperCase'</code></li>
*   <li><code>'IsSpellWithDigits'</code></li>
*   <li><code>'IsSpellCapitalization'</code></li>
*   <li><code>'HyphMinLeading'</code></li>
*   <li><code>'HyphMinTrailing'</code></li>
*   <li><code>'HyphMinWordLength'</code></li>
*   <li><code>'DefaultLocale'</code></li>
*   <li><code>'IsHyphAuto'</code></li>
*   <li><code>'IsHyphSpecial'</code></li>
*   <li><code>'IsSpellAuto'</code></li>
*   <li><code>'IsSpellHide'</code></li>
*   <li><code>'IsSpellInAllLanguages'</code></li>
*   <li><code>'IsSpellSpecial'</code></li>
*   <li><code>'IsWrapReverse'</code></li>
*   <li><code>'DefaultLocale_CJK'</code></li>
*   <li><code>'DefaultLocale_CTL'</code></li>
* </ul>
* @see com.sun.star.linguistic2.LinguProperties
*/
public class _LinguProperties extends MultiPropertyTest {
}  // finish class _LinguProperties


