/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

package ifc.text;

import lib.MultiPropertyTest;

/**
 * Testing <code>com.sun.star.text.ViewSettings</code>
 * service properties :
 * <ul>
 *  <li><code> ShowAnnotations</code></li>
 *  <li><code> ShowBreaks</code></li>
 *  <li><code> ShowDrawings</code></li>
 *  <li><code> ShowFieldCommands</code></li>
 *  <li><code> ShowFootnoteBackground</code></li>
 *  <li><code> ShowGraphics</code></li>
 *  <li><code> ShowHiddenParagraphs</code></li>
 *  <li><code> ShowHiddenText</code></li>
 *  <li><code> ShowHoriRuler</code></li>
 *  <li><code> ShowHoriScrollBar</code></li>
 *  <li><code> ShowIndexMarkBackground</code></li>
 *  <li><code> ShowParaBreaks</code></li>
 *  <li><code> ShowProtectedSpaces</code></li>
 *  <li><code> ShowSoftHyphens</code></li>
 *  <li><code> ShowSpaces</code></li>
 *  <li><code> ShowTableBoundaries</code></li>
 *  <li><code> ShowTables</code></li>
 *  <li><code> ShowTabstops</code></li>
 *  <li><code> ShowTextBoundaries</code></li>
 *  <li><code> ShowTextFieldBackground</code></li>
 *  <li><code> ShowVertRuler</code></li>
 *  <li><code> ShowVertScrollBar</code></li>
 *  <li><code> SmoothScrolling</code></li>
 *  <li><code> IsVertRulerRightAligned</code></li>
 *  <li><code> ShowOnlineLayout</code></li>
 *  <li><code> ZoomType</code></li>
 *  <li><code> ZoomValue</code></li>
 * </ul> <p>
 * Properties testing is automated by <code>lib.MultiPropertyTest</code>.
 * @see com.sun.star.text.ViewSettings
 */
public class _ViewSettings extends MultiPropertyTest {

} // finish class _ViewSettings

