/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#include "uistrings.hrc"

namespace rptui
{

#include "stringconstants.cxx"
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_REPORTNAME            , "ReportName");
    IMPLEMENT_CONSTASCII_USTRING(CFG_REPORTDESIGNER             , "SunReportBuilder");
    IMPLEMENT_CONSTASCII_USTRING(DBREPORTHEADER                 , "ReportHeader");
    IMPLEMENT_CONSTASCII_USTRING(DBREPORTFOOTER                 , "ReportFooter");
    IMPLEMENT_CONSTASCII_USTRING(DBPAGEHEADER                   , "PageHeader");
    IMPLEMENT_CONSTASCII_USTRING(DBPAGEFOOTER                   , "PageFooter");
    IMPLEMENT_CONSTASCII_USTRING(DBGROUPHEADER                  , "GroupHeader");
    IMPLEMENT_CONSTASCII_USTRING(DBGROUPFOOTER                  , "GroupFooter");
    IMPLEMENT_CONSTASCII_USTRING(DBCOLUMNHEADER                 , "ColumnHeader");
    IMPLEMENT_CONSTASCII_USTRING(DBCOLUMNFOOTER                 , "ColumnFooter");
    IMPLEMENT_CONSTASCII_USTRING(DBDETAIL                       , "Detail");
    IMPLEMENT_CONSTASCII_USTRING(REPORTCONTROLFORMAT            , "ReportControlFormat");
    IMPLEMENT_CONSTASCII_USTRING(CURRENT_WINDOW                 , "CurrentWindow");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FONTCOLOR             , "FontColor");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_EMPTY_IS_NULL         , "ConvertEmptyToNull");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILTERPROPOSAL        , "UseFilterValueProposal");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_POSITION              , "Position");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FORMATKEYDATE         , "FormatKeyDate");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FORMATKEYTIME         , "FormatKeyTime");
    IMPLEMENT_CONSTASCII_USTRING(DBOVERLAPPEDCONTROL            , "OverlappedControl");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FORMULALIST           , "FormulaList");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_SCOPE                 , "Scope");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_CHARTTYPE             , "ChartType");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_PREVIEW_COUNT         , "RowLimit");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_TITLE                 , "Title");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_AREA                  , "Area");

    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLCOLOR             , "FillColor");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLGRADIENT          , "FillGradient");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLGRADIENTNAME      , "FillGradientName");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLHATCHNAME         , "FillHatchName");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLBITMAPNAME        , "FillBitmapName");
    IMPLEMENT_CONSTASCII_USTRING(PROPERTY_FILLSTYLE             , "FillStyle");

    IMPLEMENT_CONSTASCII_USTRING(DBTEXTBOXBOUNDCONTENT          , "TextBoxBoundContent");
}

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
