/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef SCUI_DEF_HXX
#define SCUI_DEF_HXX

#define SCRET_COLS 0x42
#define SCRET_ROWS 0x43

#define FDS_OPT_NONE        0  // from filldlg.hxx
#define FDS_OPT_HORZ        1   // from filldlg.hxx
#define FDS_OPT_VERT        2  // from filldlg.hxx

#define INS_CONT_NOEMPTY    0x0100 //from inscodlg.hxx
#define INS_CONT_TRANS      0x0200 //from inscodlg.hxx
#define INS_CONT_LINK       0x0400 //from inscodlg.hxx

#define SC_CELL_SHIFT_DISABLE_DOWN  0x01 //from inscodlg.hxx
#define SC_CELL_SHIFT_DISABLE_RIGHT 0x02 //from inscodlg.hxx

#define NAME_TOP        1 //from namecrea.hxx
#define NAME_LEFT       2 //from namecrea.hxx
#define NAME_BOTTOM     4  //from namecrea.hxx
#define NAME_RIGHT      8 //from namecrea.hxx

#define BTN_PASTE_NAME  100  // from namepast.hxx
#define BTN_PASTE_LIST  101  // from namepast.hxx
#define BTN_PASTE_CLOSE 102  // from namepast.hxx

#define BTN_EXTEND_RANGE       150
#define BTN_CURRENT_SELECTION  151
#define SCRET_REMOVE    0x42 //from subtdlg.hxx
#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
