/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#ifndef STARMATH_HELPIDS_H
#define STARMATH_HELPIDS_H

#define HID_SMA_FONTDIALOG                                "STARMATH_HID_SMA_FONTDIALOG"
#define HID_SMA_FONTSIZEDIALOG                            "STARMATH_HID_SMA_FONTSIZEDIALOG"
#define HID_SMA_FONTTYPEDIALOG                            "STARMATH_HID_SMA_FONTTYPEDIALOG"
#define HID_SMA_DISTANCEDIALOG                            "STARMATH_HID_SMA_DISTANCEDIALOG"
#define HID_SMA_ALIGNDIALOG                               "STARMATH_HID_SMA_ALIGNDIALOG"
#define HID_SMA_SYMBOLDIALOG                              "STARMATH_HID_SMA_SYMBOLDIALOG"
#define HID_SMA_SYMDEFINEDIALOG                           "STARMATH_HID_SMA_SYMDEFINEDIALOG"
#define HID_SMA_WIN_DOCUMENT                              "STARMATH_HID_SMA_WIN_DOCUMENT"
#define HID_SMA_COMMAND_WIN_EDIT                          "STARMATH_HID_SMA_COMMAND_WIN_EDIT"

#define HID_SMA_PLUSX                                     "STARMATH_HID_SMA_PLUSX"
#define HID_SMA_MINUSX                                    "STARMATH_HID_SMA_MINUSX"
#define HID_SMA_PLUSMINUSX                                "STARMATH_HID_SMA_PLUSMINUSX"
#define HID_SMA_MINUSPLUSX                                "STARMATH_HID_SMA_MINUSPLUSX"
#define HID_SMA_NEGX                                      "STARMATH_HID_SMA_NEGX"
#define HID_SMA_XPLUSY                                    "STARMATH_HID_SMA_XPLUSY"
#define HID_SMA_XMINUSY                                   "STARMATH_HID_SMA_XMINUSY"
#define HID_SMA_XCDOTY                                    "STARMATH_HID_SMA_XCDOTY"
#define HID_SMA_XTIMESY                                   "STARMATH_HID_SMA_XTIMESY"
#define HID_SMA_XSYMTIMESY                                "STARMATH_HID_SMA_XSYMTIMESY"
#define HID_SMA_XSYMDIVIDEY                               "STARMATH_HID_SMA_XSYMDIVIDEY"
#define HID_SMA_XDIVY                                     "STARMATH_HID_SMA_XDIVY"
#define HID_SMA_XOVERY                                    "STARMATH_HID_SMA_XOVERY"
#define HID_SMA_XANDY                                     "STARMATH_HID_SMA_XANDY"
#define HID_SMA_XORY                                      "STARMATH_HID_SMA_XORY"
#define HID_SMA_XEQY                                      "STARMATH_HID_SMA_XEQY"
#define HID_SMA_XNEQY                                     "STARMATH_HID_SMA_XNEQY"
#define HID_SMA_XLTY                                      "STARMATH_HID_SMA_XLTY"
#define HID_SMA_XGTY                                      "STARMATH_HID_SMA_XGTY"
#define HID_SMA_XLEY                                      "STARMATH_HID_SMA_XLEY"
#define HID_SMA_XGEY                                      "STARMATH_HID_SMA_XGEY"
#define HID_SMA_XLESLANTY                                 "STARMATH_HID_SMA_XLESLANTY"
#define HID_SMA_XGESLANTY                                 "STARMATH_HID_SMA_XGESLANTY"
#define HID_SMA_XEQUIVY                                   "STARMATH_HID_SMA_XEQUIVY"
#define HID_SMA_XAPPROXY                                  "STARMATH_HID_SMA_XAPPROXY"
#define HID_SMA_XSIMY                                     "STARMATH_HID_SMA_XSIMY"
#define HID_SMA_XSIMEQY                                   "STARMATH_HID_SMA_XSIMEQY"
#define HID_SMA_XPROPY                                    "STARMATH_HID_SMA_XPROPY"
#define HID_SMA_XORTHOY                                   "STARMATH_HID_SMA_XORTHOY"
#define HID_SMA_XPARALLELY                                "STARMATH_HID_SMA_XPARALLELY"
#define HID_SMA_XTOWARDY                                  "STARMATH_HID_SMA_XTOWARDY"
#define HID_SMA_XINY                                      "STARMATH_HID_SMA_XINY"
#define HID_SMA_XNOTINY                                   "STARMATH_HID_SMA_XNOTINY"
#define HID_SMA_XOWNSY                                    "STARMATH_HID_SMA_XOWNSY"
#define HID_SMA_XUNIONY                                   "STARMATH_HID_SMA_XUNIONY"
#define HID_SMA_XINTERSECTIONY                            "STARMATH_HID_SMA_XINTERSECTIONY"
#define HID_SMA_XSETMINUSY                                "STARMATH_HID_SMA_XSETMINUSY"
#define HID_SMA_XSLASHY                                   "STARMATH_HID_SMA_XSLASHY"
#define HID_SMA_XSUBSETY                                  "STARMATH_HID_SMA_XSUBSETY"
#define HID_SMA_XSUBSETEQY                                "STARMATH_HID_SMA_XSUBSETEQY"
#define HID_SMA_XSUPSETY                                  "STARMATH_HID_SMA_XSUPSETY"
#define HID_SMA_XSUPSETEQY                                "STARMATH_HID_SMA_XSUPSETEQY"
#define HID_SMA_XNSUBSETY                                 "STARMATH_HID_SMA_XNSUBSETY"
#define HID_SMA_XNSUBSETEQY                               "STARMATH_HID_SMA_XNSUBSETEQY"
#define HID_SMA_XNSUPSETY                                 "STARMATH_HID_SMA_XNSUPSETY"
#define HID_SMA_XNSUPSETEQY                               "STARMATH_HID_SMA_XNSUPSETEQY"
#define HID_SMA_ABSX                                      "STARMATH_HID_SMA_ABSX"
#define HID_SMA_FACTX                                     "STARMATH_HID_SMA_FACTX"
#define HID_SMA_SQRTX                                     "STARMATH_HID_SMA_SQRTX"
#define HID_SMA_NROOTXY                                   "STARMATH_HID_SMA_NROOTXY"
#define HID_SMA_EX                                        "STARMATH_HID_SMA_EX"
#define HID_SMA_EXPX                                      "STARMATH_HID_SMA_EXPX"
#define HID_SMA_LNX                                       "STARMATH_HID_SMA_LNX"
#define HID_SMA_LOGX                                      "STARMATH_HID_SMA_LOGX"
#define HID_SMA_SINX                                      "STARMATH_HID_SMA_SINX"
#define HID_SMA_COSX                                      "STARMATH_HID_SMA_COSX"
#define HID_SMA_TANX                                      "STARMATH_HID_SMA_TANX"
#define HID_SMA_COTX                                      "STARMATH_HID_SMA_COTX"
#define HID_SMA_ARCSINX                                   "STARMATH_HID_SMA_ARCSINX"
#define HID_SMA_ARCCOSX                                   "STARMATH_HID_SMA_ARCCOSX"
#define HID_SMA_ARCTANX                                   "STARMATH_HID_SMA_ARCTANX"
#define HID_SMA_ARCCOTX                                   "STARMATH_HID_SMA_ARCCOTX"
#define HID_SMA_SINHX                                     "STARMATH_HID_SMA_SINHX"
#define HID_SMA_COSHX                                     "STARMATH_HID_SMA_COSHX"
#define HID_SMA_TANHX                                     "STARMATH_HID_SMA_TANHX"
#define HID_SMA_COTHX                                     "STARMATH_HID_SMA_COTHX"
#define HID_SMA_ARSINHX                                   "STARMATH_HID_SMA_ARSINHX"
#define HID_SMA_ARCOSHX                                   "STARMATH_HID_SMA_ARCOSHX"
#define HID_SMA_ARTANHX                                   "STARMATH_HID_SMA_ARTANHX"
#define HID_SMA_ARCOTHX                                   "STARMATH_HID_SMA_ARCOTHX"
#define HID_SMA_SUMX                                      "STARMATH_HID_SMA_SUMX"
#define HID_SMA_PRODX                                     "STARMATH_HID_SMA_PRODX"
#define HID_SMA_COPRODX                                   "STARMATH_HID_SMA_COPRODX"
#define HID_SMA_LIMX                                      "STARMATH_HID_SMA_LIMX"
#define HID_SMA_EXISTS                                    "STARMATH_HID_SMA_EXISTS"
#define HID_SMA_NOTEXISTS                                 "STARMATH_HID_SMA_NOTEXISTS"
#define HID_SMA_FORALL                                    "STARMATH_HID_SMA_FORALL"
#define HID_SMA_NABLA                                     "STARMATH_HID_SMA_NABLA"
#define HID_SMA_INTX                                      "STARMATH_HID_SMA_INTX"
#define HID_SMA_IINTX                                     "STARMATH_HID_SMA_IINTX"
#define HID_SMA_IIINTX                                    "STARMATH_HID_SMA_IIINTX"
#define HID_SMA_LINTX                                     "STARMATH_HID_SMA_LINTX"
#define HID_SMA_LLINTX                                    "STARMATH_HID_SMA_LLINTX"
#define HID_SMA_LLLINTX                                   "STARMATH_HID_SMA_LLLINTX"
#define HID_SMA_FROMX                                     "STARMATH_HID_SMA_FROMX"
#define HID_SMA_TOX                                       "STARMATH_HID_SMA_TOX"
#define HID_SMA_FROMXTOY                                  "STARMATH_HID_SMA_FROMXTOY"
#define HID_SMA_XCIRCY                                    "STARMATH_HID_SMA_XCIRCY"
#define HID_SMA_XDIVIDESY                                 "STARMATH_HID_SMA_XDIVIDESY"
#define HID_SMA_XNDIVIDESY                                "STARMATH_HID_SMA_XNDIVIDESY"
#define HID_SMA_DLARROW                                   "STARMATH_HID_SMA_DLARROW"
#define HID_SMA_DLRARROW                                  "STARMATH_HID_SMA_DLRARROW"
#define HID_SMA_DRARROW                                   "STARMATH_HID_SMA_DRARROW"
#define HID_SMA_PRECEDES                                  "STARMATH_HID_SMA_PRECEDES"
#define HID_SMA_PRECEDESEQUAL                             "STARMATH_HID_SMA_PRECEDESEQUAL"
#define HID_SMA_PRECEDESEQUIV                             "STARMATH_HID_SMA_PRECEDESEQUIV"
#define HID_SMA_SUCCEEDS                                  "STARMATH_HID_SMA_SUCCEEDS"
#define HID_SMA_SUCCEEDSEQUAL                             "STARMATH_HID_SMA_SUCCEEDSEQUAL"
#define HID_SMA_SUCCEEDSEQUIV                             "STARMATH_HID_SMA_SUCCEEDSEQUIV"
#define HID_SMA_NOTPRECEDES                               "STARMATH_HID_SMA_NOTPRECEDES"
#define HID_SMA_NOTSUCCEEDS                               "STARMATH_HID_SMA_NOTSUCCEEDS"

#define HID_SMA_MISC_CAT                                  "STARMATH_HID_SMA_MISC_CAT"
#define HID_SMA_UNBINOPS_CAT                              "STARMATH_HID_SMA_UNBINOPS_CAT"
#define HID_SMA_RELATIONS_CAT                             "STARMATH_HID_SMA_RELATIONS_CAT"
#define HID_SMA_SETOPERATIONS_CAT                         "STARMATH_HID_SMA_SETOPERATIONS_CAT"
#define HID_SMA_FUNCTIONS_CAT                             "STARMATH_HID_SMA_FUNCTIONS_CAT"
#define HID_SMA_OPERATORS_CAT                             "STARMATH_HID_SMA_OPERATORS_CAT"
#define HID_SMA_ATTRIBUTES_CAT                            "STARMATH_HID_SMA_ATTRIBUTES_CAT"
#define HID_SMA_BRACKETS_CAT                              "STARMATH_HID_SMA_BRACKETS_CAT"
#define HID_SMA_FORMAT_CAT                                "STARMATH_HID_SMA_FORMAT_CAT"

#define HID_SMA_OPERATOR_WIN                              "STARMATH_HID_SMA_OPERATOR_WIN"
#define HID_SMA_UNBINOPS_TBX                              "STARMATH_HID_SMA_UNBINOPS_TBX"
#define HID_SMA_RELATIONS_TBX                             "STARMATH_HID_SMA_RELATIONS_TBX"
#define HID_SMA_SETOPERATIONS_TBX                         "STARMATH_HID_SMA_SETOPERATIONS_TBX"
#define HID_SMA_FUNCTIONS_TBX                             "STARMATH_HID_SMA_FUNCTIONS_TBX"
#define HID_SMA_OPERATORS_TBX                             "STARMATH_HID_SMA_OPERATORS_TBX"
#define HID_SMA_ATTRIBUTES_TBX                            "STARMATH_HID_SMA_ATTRIBUTES_TBX"
#define HID_SMA_BRACKETS_TBX                              "STARMATH_HID_SMA_BRACKETS_TBX"
#define HID_SMA_FORMAT_TBX                                "STARMATH_HID_SMA_FORMAT_TBX"
#define HID_SMA_SELECTION_TBX                             "STARMATH_HID_SMA_SELECTION_TBX"
#define HID_SMA_COMMAND_WIN                               "STARMATH_HID_SMA_COMMAND_WIN"
#define HID_SMA_MISC_MENU                                 "STARMATH_HID_SMA_MISC_MENU"
#define HID_SMA_FUNCTIONSOTHER1_MENU                      "STARMATH_HID_SMA_FUNCTIONSOTHER1_MENU"

#define HID_SMA_ACUTEX                                    "STARMATH_HID_SMA_ACUTEX"
#define HID_SMA_BARX                                      "STARMATH_HID_SMA_BARX"
#define HID_SMA_BREVEX                                    "STARMATH_HID_SMA_BREVEX"
#define HID_SMA_CHECKX                                    "STARMATH_HID_SMA_CHECKX"
#define HID_SMA_CIRCLEX                                   "STARMATH_HID_SMA_CIRCLEX"
#define HID_SMA_DOTX                                      "STARMATH_HID_SMA_DOTX"
#define HID_SMA_DDOTX                                     "STARMATH_HID_SMA_DDOTX"
#define HID_SMA_DDDOTX                                    "STARMATH_HID_SMA_DDDOTX"
#define HID_SMA_GRAVEX                                    "STARMATH_HID_SMA_GRAVEX"
#define HID_SMA_HATX                                      "STARMATH_HID_SMA_HATX"
#define HID_SMA_TILDEX                                    "STARMATH_HID_SMA_TILDEX"
#define HID_SMA_VECX                                      "STARMATH_HID_SMA_VECX"
#define HID_SMA_UNDERLINEX                                "STARMATH_HID_SMA_UNDERLINEX"
#define HID_SMA_OVERLINEX                                 "STARMATH_HID_SMA_OVERLINEX"
#define HID_SMA_OVERSTRIKEX                               "STARMATH_HID_SMA_OVERSTRIKEX"
#define HID_SMA_PHANTOMX                                  "STARMATH_HID_SMA_PHANTOMX"
#define HID_SMA_BOLDX                                     "STARMATH_HID_SMA_BOLDX"
#define HID_SMA_ITALX                                     "STARMATH_HID_SMA_ITALX"
#define HID_SMA_SIZEXY                                    "STARMATH_HID_SMA_SIZEXY"
#define HID_SMA_FONTXY                                    "STARMATH_HID_SMA_FONTXY"
#define HID_SMA_LRGROUPX                                  "STARMATH_HID_SMA_LRGROUPX"
#define HID_SMA_LRPARENTX                                 "STARMATH_HID_SMA_LRPARENTX"
#define HID_SMA_LRBRACKETX                                "STARMATH_HID_SMA_LRBRACKETX"
#define HID_SMA_LRBRACEX                                  "STARMATH_HID_SMA_LRBRACEX"
#define HID_SMA_LRANGLEX                                  "STARMATH_HID_SMA_LRANGLEX"
#define HID_SMA_LRCEILX                                   "STARMATH_HID_SMA_LRCEILX"
#define HID_SMA_LRFLOORX                                  "STARMATH_HID_SMA_LRFLOORX"
#define HID_SMA_LRLINEX                                   "STARMATH_HID_SMA_LRLINEX"
#define HID_SMA_LRDLINEX                                  "STARMATH_HID_SMA_LRDLINEX"
#define HID_SMA_SLRPARENTX                                "STARMATH_HID_SMA_SLRPARENTX"
#define HID_SMA_SLRBRACKETX                               "STARMATH_HID_SMA_SLRBRACKETX"
#define HID_SMA_SLRBRACEX                                 "STARMATH_HID_SMA_SLRBRACEX"
#define HID_SMA_SLRANGLEX                                 "STARMATH_HID_SMA_SLRANGLEX"
#define HID_SMA_SLRCEILX                                  "STARMATH_HID_SMA_SLRCEILX"
#define HID_SMA_SLRFLOORX                                 "STARMATH_HID_SMA_SLRFLOORX"
#define HID_SMA_SLRLINEX                                  "STARMATH_HID_SMA_SLRLINEX"
#define HID_SMA_SLRDLINEX                                 "STARMATH_HID_SMA_SLRDLINEX"
#define HID_SMA_RSUBX                                     "STARMATH_HID_SMA_RSUBX"
#define HID_SMA_RSUPX                                     "STARMATH_HID_SMA_RSUPX"
#define HID_SMA_LSUBX                                     "STARMATH_HID_SMA_LSUBX"
#define HID_SMA_LSUPX                                     "STARMATH_HID_SMA_LSUPX"
#define HID_SMA_SBLANK                                    "STARMATH_HID_SMA_SBLANK"
#define HID_SMA_BLANK                                     "STARMATH_HID_SMA_BLANK"
#define HID_SMA_NEWLINE                                   "STARMATH_HID_SMA_NEWLINE"
#define HID_SMA_BINOMXY                                   "STARMATH_HID_SMA_BINOMXY"
#define HID_SMA_STACK                                     "STARMATH_HID_SMA_STACK"
#define HID_SMA_MATRIX                                    "STARMATH_HID_SMA_MATRIX"
#define HID_SMA_ALIGNLX                                   "STARMATH_HID_SMA_ALIGNLX"
#define HID_SMA_ALIGNCX                                   "STARMATH_HID_SMA_ALIGNCX"
#define HID_SMA_ALIGNRX                                   "STARMATH_HID_SMA_ALIGNRX"
#define HID_SMA_ALEPH                                     "STARMATH_HID_SMA_ALEPH"
#define HID_SMA_EMPTYSET                                  "STARMATH_HID_SMA_EMPTYSET"
#define HID_SMA_RE                                        "STARMATH_HID_SMA_RE"
#define HID_SMA_IM                                        "STARMATH_HID_SMA_IM"
#define HID_SMA_INFINITY                                  "STARMATH_HID_SMA_INFINITY"
#define HID_SMA_PARTIAL                                   "STARMATH_HID_SMA_PARTIAL"
#define HID_SMA_WP                                        "STARMATH_HID_SMA_WP"
#define HID_SMA_DOTSAXIS                                  "STARMATH_HID_SMA_DOTSAXIS"
#define HID_SMA_DOTSUP                                    "STARMATH_HID_SMA_DOTSUP"
#define HID_SMA_DOTSDOWN                                  "STARMATH_HID_SMA_DOTSDOWN"
#define HID_SMA_DOTSLOW                                   "STARMATH_HID_SMA_DOTSLOW"
#define HID_SMA_DOTSVERT                                  "STARMATH_HID_SMA_DOTSVERT"

#define HID_SMA_SETN                                      "STARMATH_HID_SMA_SETN"
#define HID_SMA_SETZ                                      "STARMATH_HID_SMA_SETZ"
#define HID_SMA_SETQ                                      "STARMATH_HID_SMA_SETQ"
#define HID_SMA_SETR                                      "STARMATH_HID_SMA_SETR"
#define HID_SMA_SETC                                      "STARMATH_HID_SMA_SETC"
#define HID_SMA_WIDEHATX                                  "STARMATH_HID_SMA_WIDEHATX"
#define HID_SMA_WIDETILDEX                                "STARMATH_HID_SMA_WIDETILDEX"
#define HID_SMA_WIDEVECX                                  "STARMATH_HID_SMA_WIDEVECX"
#define HID_SMA_CSUBX                                     "STARMATH_HID_SMA_CSUBX"
#define HID_SMA_CSUPX                                     "STARMATH_HID_SMA_CSUPX"
#define HID_SMA_HBAR                                      "STARMATH_HID_SMA_HBAR"
#define HID_SMA_LAMBDABAR                                 "STARMATH_HID_SMA_LAMBDABAR"
#define HID_SMA_LEFTARROW                                 "STARMATH_HID_SMA_LEFTARROW"
#define HID_SMA_RIGHTARROW                                "STARMATH_HID_SMA_RIGHTARROW"
#define HID_SMA_UPARROW                                   "STARMATH_HID_SMA_UPARROW"
#define HID_SMA_DOWNARROW                                 "STARMATH_HID_SMA_DOWNARROW"

#define HID_SMA_DEFAULT_DIST                              "STARMATH_HID_SMA_DEFAULT_DIST"
#define HID_SMA_LINE_DIST                                 "STARMATH_HID_SMA_LINE_DIST"
#define HID_SMA_ROOT_DIST                                 "STARMATH_HID_SMA_ROOT_DIST"
#define HID_SMA_SUP_DIST                                  "STARMATH_HID_SMA_SUP_DIST"
#define HID_SMA_SUB_DIST                                  "STARMATH_HID_SMA_SUB_DIST"
#define HID_SMA_NUMERATOR_DIST                            "STARMATH_HID_SMA_NUMERATOR_DIST"
#define HID_SMA_DENOMINATOR_DIST                          "STARMATH_HID_SMA_DENOMINATOR_DIST"
#define HID_SMA_FRACLINE_EXCWIDTH                         "STARMATH_HID_SMA_FRACLINE_EXCWIDTH"
#define HID_SMA_FRACLINE_LINEWIDTH                        "STARMATH_HID_SMA_FRACLINE_LINEWIDTH"
#define HID_SMA_UPPERLIMIT_DIST                           "STARMATH_HID_SMA_UPPERLIMIT_DIST"
#define HID_SMA_LOWERLIMIT_DIST                           "STARMATH_HID_SMA_LOWERLIMIT_DIST"
#define HID_SMA_BRACKET_EXCHEIGHT                         "STARMATH_HID_SMA_BRACKET_EXCHEIGHT"
#define HID_SMA_BRACKET_DIST                              "STARMATH_HID_SMA_BRACKET_DIST"
#define HID_SMA_MATRIXROW_DIST                            "STARMATH_HID_SMA_MATRIXROW_DIST"
#define HID_SMA_MATRIXCOL_DIST                            "STARMATH_HID_SMA_MATRIXCOL_DIST"
#define HID_SMA_ATTRIBUT_DIST                             "STARMATH_HID_SMA_ATTRIBUT_DIST"
#define HID_SMA_INTERATTRIBUT_DIST                        "STARMATH_HID_SMA_INTERATTRIBUT_DIST"
#define HID_SMA_OPERATOR_EXCHEIGHT                        "STARMATH_HID_SMA_OPERATOR_EXCHEIGHT"
#define HID_SMA_OPERATOR_DIST                             "STARMATH_HID_SMA_OPERATOR_DIST"
#define HID_SMA_LEFTBORDER_DIST                           "STARMATH_HID_SMA_LEFTBORDER_DIST"
#define HID_SMA_RIGHTBORDER_DIST                          "STARMATH_HID_SMA_RIGHTBORDER_DIST"
#define HID_SMA_UPPERBORDER_DIST                          "STARMATH_HID_SMA_UPPERBORDER_DIST"
#define HID_SMA_LOWERBORDER_DIST                          "STARMATH_HID_SMA_LOWERBORDER_DIST"
#define HID_SMA_BRACKET_EXCHEIGHT2                        "STARMATH_HID_SMA_BRACKET_EXCHEIGHT2"
#define HID_SMA_LMRANGLEXY                                "STARMATH_HID_SMA_LMRANGLEXY"
#define HID_SMA_SLMRANGLEXY                               "STARMATH_HID_SMA_SLMRANGLEXY"
#define HID_SMA_XWIDESLASHY                               "STARMATH_HID_SMA_XWIDESLASHY"
#define HID_SMA_XWIDEBSLASHY                              "STARMATH_HID_SMA_XWIDEBSLASHY"
#define HID_SMA_XOVERBRACEY                               "STARMATH_HID_SMA_XOVERBRACEY"
#define HID_SMA_XUNDERBRACEY                              "STARMATH_HID_SMA_XUNDERBRACEY"
#define HID_SMA_LRDBRACKETX                               "STARMATH_HID_SMA_LRDBRACKETX"
#define HID_SMA_SLRDBRACKETX                              "STARMATH_HID_SMA_SLRDBRACKETX"

#define HID_SMA_CONTROL_SYMBOLSET_VIEW                    "STARMATH_HID_SMA_CONTROL_SYMBOLSET_VIEW"
#define HID_SMA_CONTROL_FONTCHAR_VIEW                     "STARMATH_HID_SMA_CONTROL_FONTCHAR_VIEW"

#define HID_SMA_NOSPACE                                   "STARMATH_HID_SMA_NOSPACE"

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
