/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef _TOOLKIT_HELPER_SERVICENAMES_HXX_
#define _TOOLKIT_HELPER_SERVICENAMES_HXX_

#include <sal/types.h>
#include <tools/solar.h>

extern const sal_Char szServiceName_Toolkit[], szServiceName2_Toolkit[];
extern const sal_Char szServiceName_MVCIntrospection[], szServiceName2_MVCIntrospection[];
extern const sal_Char szServiceName_PopupMenu[], szServiceName2_PopupMenu[];
extern const sal_Char szServiceName_MenuBar[], szServiceName2_MenuBar[];
extern const sal_Char szServiceName_Pointer[], szServiceName2_Pointer[];
extern const sal_Char szServiceName_UnoControlContainer[], szServiceName2_UnoControlContainer[];
extern const sal_Char szServiceName_UnoControlContainerModel[], szServiceName2_UnoControlContainerModel[];
extern const sal_Char szServiceName_UnoMultiPageControl[], szServiceName2_UnoMultiPageControl[];
extern const sal_Char szServiceName_UnoMultiPageModel[], szServiceName2_UnoMultiPageModel[];
extern const sal_Char szServiceName_UnoPageControl[], szServiceName2_UnoPageControl[];
extern const sal_Char szServiceName_UnoPageModel[], szServiceName2_UnoPageModel[];
extern const sal_Char szServiceName_UnoFrameControl[], szServiceName2_UnoFrameControl[];
extern const sal_Char szServiceName_UnoFrameModel[], szServiceName2_UnoFrameModel[];
extern const sal_Char szServiceName_TabController[], szServiceName2_TabController[];
extern const sal_Char szServiceName_TabControllerModel[], szServiceName2_TabControllerModel[];
extern const sal_Char szServiceName_UnoControlDialog[], szServiceName2_UnoControlDialog[];
extern const sal_Char szServiceName_UnoControlDialogModel[], szServiceName2_UnoControlDialogModel[];
extern const sal_Char szServiceName_UnoControlEdit[], szServiceName2_UnoControlEdit[];
extern const sal_Char szServiceName_UnoControlEditModel[], szServiceName2_UnoControlEditModel[];
extern const sal_Char szServiceName_UnoControlFileControl[], szServiceName2_UnoControlFileControl[];
extern const sal_Char szServiceName_UnoControlFileControlModel[], szServiceName2_UnoControlFileControlModel[];
extern const sal_Char szServiceName_UnoControlButton[], szServiceName2_UnoControlButton[];
extern const sal_Char szServiceName_UnoControlButtonModel[], szServiceName2_UnoControlButtonModel[];
extern const sal_Char szServiceName_UnoControlImageButton[], szServiceName2_UnoControlImageButton[];
extern const sal_Char szServiceName_UnoControlImageButtonModel[], szServiceName2_UnoControlImageButtonModel[];
extern const sal_Char szServiceName_UnoControlImageControl[], szServiceName2_UnoControlImageControl[];
extern const sal_Char szServiceName_UnoControlImageControlModel[], szServiceName2_UnoControlImageControlModel[];
extern const sal_Char szServiceName_UnoControlRadioButton[], szServiceName2_UnoControlRadioButton[];
extern const sal_Char szServiceName_UnoControlRadioButtonModel[], szServiceName2_UnoControlRadioButtonModel[];
extern const sal_Char szServiceName_UnoControlCheckBox[], szServiceName2_UnoControlCheckBox[];
extern const sal_Char szServiceName_UnoControlCheckBoxModel[], szServiceName2_UnoControlCheckBoxModel[];
extern const sal_Char szServiceName_UnoControlListBox[], szServiceName2_UnoControlListBox[];
extern const sal_Char szServiceName_UnoControlListBoxModel[], szServiceName2_UnoControlListBoxModel[];
extern const sal_Char szServiceName_UnoControlComboBox[], szServiceName2_UnoControlComboBox[];
extern const sal_Char szServiceName_UnoControlComboBoxModel[], szServiceName2_UnoControlComboBoxModel[];
extern const sal_Char szServiceName_UnoControlFixedText[], szServiceName2_UnoControlFixedText[];
extern const sal_Char szServiceName_UnoControlFixedTextModel[], szServiceName2_UnoControlFixedTextModel[];
extern const sal_Char szServiceName_UnoControlGroupBox[], szServiceName2_UnoControlGroupBox[];
extern const sal_Char szServiceName_UnoControlGroupBoxModel[], szServiceName2_UnoControlGroupBoxModel[];
extern const sal_Char szServiceName_UnoControlDateField[], szServiceName2_UnoControlDateField[];
extern const sal_Char szServiceName_UnoControlDateFieldModel[], szServiceName2_UnoControlDateFieldModel[];
extern const sal_Char szServiceName_UnoControlTimeField[], szServiceName2_UnoControlTimeField[];
extern const sal_Char szServiceName_UnoControlTimeFieldModel[], szServiceName2_UnoControlTimeFieldModel[];
extern const sal_Char szServiceName_UnoControlNumericField[], szServiceName2_UnoControlNumericField[];
extern const sal_Char szServiceName_UnoControlNumericFieldModel[], szServiceName2_UnoControlNumericFieldModel[];
extern const sal_Char szServiceName_UnoControlCurrencyField[], szServiceName2_UnoControlCurrencyField[];
extern const sal_Char szServiceName_UnoControlCurrencyFieldModel[], szServiceName2_UnoControlCurrencyFieldModel[];
extern const sal_Char szServiceName_UnoControlPatternField[], szServiceName2_UnoControlPatternField[];
extern const sal_Char szServiceName_UnoControlPatternFieldModel[], szServiceName2_UnoControlPatternFieldModel[];
extern const sal_Char szServiceName_UnoControlFormattedField[], szServiceName2_UnoControlFormattedField[];
extern const sal_Char szServiceName_UnoControlFormattedFieldModel[], szServiceName2_UnoControlFormattedFieldModel[];
extern const sal_Char szServiceName_UnoControlProgressBar[], szServiceName2_UnoControlProgressBar[];
extern const sal_Char szServiceName_UnoControlProgressBarModel[], szServiceName2_UnoControlProgressBarModel[];
extern const sal_Char szServiceName_UnoControlScrollBar[], szServiceName2_UnoControlScrollBar[];
extern const sal_Char szServiceName_UnoControlScrollBarModel[], szServiceName2_UnoControlScrollBarModel[];
extern const sal_Char szServiceName_UnoControlFixedLine[], szServiceName2_UnoControlFixedLine[];
extern const sal_Char szServiceName_UnoControlFixedLineModel[], szServiceName2_UnoControlFixedLineModel[];
extern const sal_Char szServiceName_PrinterServer[], szServiceName2_PrinterServer[];
extern const sal_Char szServiceName_UnoControlRoadmap[], szServiceName2_UnoControlRoadmap[];
extern const sal_Char szServiceName_UnoControlRoadmapModel[], szServiceName2_UnoControlRoadmapModel[];

extern const sal_Char szServiceName_UnoSpinButtonControl[], szServiceName_UnoSpinButtonModel[];

extern const sal_Char szServiceName_TreeControl[];
extern const sal_Char szServiceName_TreeControlModel[];
extern const sal_Char szServiceName_MutableTreeDataModel[];

extern const sal_Char szServiceName_GridControl[];
extern const sal_Char szServiceName_GridControlModel[];
extern const sal_Char szServiceName_DefaultGridDataModel[];
extern const sal_Char szServiceName_DefaultGridColumnModel[];
extern const sal_Char szServiceName_GridColumn[];
extern const sal_Char szServiceName_SortableGridDataModel[];

extern const sal_Char szServiceName_UnoSimpleAnimationControl[], szServiceName2_UnoSimpleAnimationControl[];
extern const sal_Char szServiceName_UnoSimpleAnimationControlModel[], szServiceName2_UnoSimpleAnimationControlModel[];
extern const sal_Char szServiceName_UnoThrobberControl[], szServiceName2_UnoThrobberControl[];
extern const sal_Char szServiceName_UnoThrobberControlModel[], szServiceName2_UnoThrobberControlModel[];
extern const sal_Char szServiceName_AnimatedImagesControl[];
extern const sal_Char szServiceName_AnimatedImagesControlModel[];
extern const sal_Char szServiceName_SpinningProgressControlModel[];
extern const sal_Char szServiceName_UnoControlFixedHyperlink[], szServiceName_UnoControlFixedHyperlinkModel[];

extern const sal_Char szServiceName_UnoControlTabPageModel[], szServiceName2_UnoControlTabPageModel[];
extern const sal_Char szServiceName_UnoControlTabPage[];
extern const sal_Char szServiceName_UnoControlTabPageContainerModel[];
extern const sal_Char szServiceName_UnoControlTabPageContainer[];

// ExtUnoWrapper:
extern const char szServiceName_ImageProducer[], szServiceName2_ImageProducer[];
#endif // _TOOLKIT_HELPER_SERVICENAMES_HXX_

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
