/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
//two ranges available:
//34200 - 34767
//40768 - 42767

/*
 * web wizard : 		34200 - 34319
 * report wizard : 		34320 - 34399
 * others to be listed...
 *
 * web wizard (cont.) :		41000 - 41050
 * agenda wizard :              41051 - 41099
 */


// ***************
// WEB WIZARD
// 34200 - 34319
// 41000 - 41050
// ***************
//webwizardgeneralcontrols

#define HID0_WEBWIZARD                                     "WIZARDS_HID0_WEBWIZARD"
#define HID0_HELP                                          "WIZARDS_HID0_HELP"
#define HID0_NEXT                                          "WIZARDS_HID0_NEXT"
#define HID0_PREV                                          "WIZARDS_HID0_PREV"
#define HID0_CREATE                                        "WIZARDS_HID0_CREATE"
#define HID0_CANCEL                                        "WIZARDS_HID0_CANCEL"
#define HID0_STATUS_DIALOG                                 "WIZARDS_HID0_STATUS_DIALOG"


//step1
#define HID1_LST_SESSIONS                                  "WIZARDS_HID1_LST_SESSIONS"
#define HID1_BTN_DEL_SES                                   "WIZARDS_HID1_BTN_DEL_SES"

//step2
#define HID2_LST_DOCS                                      "WIZARDS_HID2_LST_DOCS"
#define HID2_BTN_ADD_DOC                                   "WIZARDS_HID2_BTN_ADD_DOC"
#define HID2_BTN_REM_DOC                                   "WIZARDS_HID2_BTN_REM_DOC"
#define HID2_BTN_DOC_UP                                    "WIZARDS_HID2_BTN_DOC_UP"
#define HID2_BTN_DOC_DOWN                                  "WIZARDS_HID2_BTN_DOC_DOWN"
#define HID2_TXT_DOC_TITLE                                 "WIZARDS_HID2_TXT_DOC_TITLE"
#define HID2_TXT_DOC_DESC                                  "WIZARDS_HID2_TXT_DOC_DESC"
#define HID2_TXT_DOC_AUTHOR                                "WIZARDS_HID2_TXT_DOC_AUTHOR"
#define HID2_LST_DOC_EXPORT                                "WIZARDS_HID2_LST_DOC_EXPORT"
#define HID2_STATUS_ADD_DOCS                               "WIZARDS_HID2_STATUS_ADD_DOCS"

//step3
#define HID3_IL_LAYOUTS_IMG1                               "WIZARDS_HID3_IL_LAYOUTS_IMG1"
#define HID3_IL_LAYOUTS_IMG2                               "WIZARDS_HID3_IL_LAYOUTS_IMG2"
#define HID3_IL_LAYOUTS_IMG3                               "WIZARDS_HID3_IL_LAYOUTS_IMG3"
#define HID3_IL_LAYOUTS_IMG4                               "WIZARDS_HID3_IL_LAYOUTS_IMG4"
#define HID3_IL_LAYOUTS_IMG5                               "WIZARDS_HID3_IL_LAYOUTS_IMG5"
#define HID3_IL_LAYOUTS_IMG6                               "WIZARDS_HID3_IL_LAYOUTS_IMG6"
#define HID3_IL_LAYOUTS_IMG7                               "WIZARDS_HID3_IL_LAYOUTS_IMG7"
#define HID3_IL_LAYOUTS_IMG8                               "WIZARDS_HID3_IL_LAYOUTS_IMG8"
#define HID3_IL_LAYOUTS_IMG9                               "WIZARDS_HID3_IL_LAYOUTS_IMG9"
#define HID3_IL_LAYOUTS_IMG10                              "WIZARDS_HID3_IL_LAYOUTS_IMG10"
#define HID3_IL_LAYOUTS_IMG11                              "WIZARDS_HID3_IL_LAYOUTS_IMG11"
#define HID3_IL_LAYOUTS_IMG12                              "WIZARDS_HID3_IL_LAYOUTS_IMG12"
#define HID3_IL_LAYOUTS_IMG13                              "WIZARDS_HID3_IL_LAYOUTS_IMG13"
#define HID3_IL_LAYOUTS_IMG14                              "WIZARDS_HID3_IL_LAYOUTS_IMG14"
#define HID3_IL_LAYOUTS_IMG15                              "WIZARDS_HID3_IL_LAYOUTS_IMG15"

//step4
#define HID4_CHK_DISPLAY_FILENAME                          "WIZARDS_HID4_CHK_DISPLAY_FILENAME"
#define HID4_CHK_DISPLAY_DESCRIPTION                       "WIZARDS_HID4_CHK_DISPLAY_DESCRIPTION"
#define HID4_CHK_DISPLAY_AUTHOR                            "WIZARDS_HID4_CHK_DISPLAY_AUTHOR"
#define HID4_CHK_DISPLAY_CR_DATE                           "WIZARDS_HID4_CHK_DISPLAY_CR_DATE"
#define HID4_CHK_DISPLAY_UP_DATE                           "WIZARDS_HID4_CHK_DISPLAY_UP_DATE"
#define HID4_CHK_DISPLAY_FORMAT                            "WIZARDS_HID4_CHK_DISPLAY_FORMAT"
#define HID4_CHK_DISPLAY_F_ICON                            "WIZARDS_HID4_CHK_DISPLAY_F_ICON"
#define HID4_CHK_DISPLAY_PAGES                             "WIZARDS_HID4_CHK_DISPLAY_PAGES"
#define HID4_CHK_DISPLAY_SIZE                              "WIZARDS_HID4_CHK_DISPLAY_SIZE"

#define HID4_GRP_OPTIMAIZE_640                             "WIZARDS_HID4_GRP_OPTIMAIZE_640"
#define HID4_GRP_OPTIMAIZE_800                             "WIZARDS_HID4_GRP_OPTIMAIZE_800"
#define HID4_GRP_OPTIMAIZE_1024                            "WIZARDS_HID4_GRP_OPTIMAIZE_1024"


//step5
#define HID5_LST_STYLES                                    "WIZARDS_HID5_LST_STYLES"
#define HID5_BTN_BACKGND                                   "WIZARDS_HID5_BTN_BACKGND"
#define HID5_BTN_ICONS                                     "WIZARDS_HID5_BTN_ICONS"

//step6
#define HID6_TXT_SITE_TITLE                                "WIZARDS_HID6_TXT_SITE_TITLE"
#define HID6_TXT_SITE_DESC                                 "WIZARDS_HID6_TXT_SITE_DESC"
#define HID6_DATE_SITE_CREATED                             "WIZARDS_HID6_DATE_SITE_CREATED"
#define HID6_DATE_SITE_UPDATED                             "WIZARDS_HID6_DATE_SITE_UPDATED"
#define HID6_TXT_SITE_EMAIL                                "WIZARDS_HID6_TXT_SITE_EMAIL"
#define HID6_TXT_SITE_COPYRIGHT                            "WIZARDS_HID6_TXT_SITE_COPYRIGHT"

//step7
#define HID7_BTN_PREVIEW                                   "WIZARDS_HID7_BTN_PREVIEW"
#define HID7_CHK_PUBLISH_LOCAL                             "WIZARDS_HID7_CHK_PUBLISH_LOCAL"
#define HID7_TXT_LOCAL                                     "WIZARDS_HID7_TXT_LOCAL"
#define HID7_BTN_LOCAL                                     "WIZARDS_HID7_BTN_LOCAL"
#define HID7_CHK_PUBLISH_ZIP                               "WIZARDS_HID7_CHK_PUBLISH_ZIP"
#define HID7_TXT_ZIP                                       "WIZARDS_HID7_TXT_ZIP"
#define HID7_BTN_ZIP                                       "WIZARDS_HID7_BTN_ZIP"
#define HID7_CHK_PUBLISH_FTP                               "WIZARDS_HID7_CHK_PUBLISH_FTP"
#define HID7_TXT_FTP                                       "WIZARDS_HID7_TXT_FTP"
#define HID7_BTN_FTP                                       "WIZARDS_HID7_BTN_FTP"
#define HID7_CHK_SAVE                                      "WIZARDS_HID7_CHK_SAVE"
#define HID7_TXT_SAVE                                      "WIZARDS_HID7_TXT_SAVE"

//web wizard backgrounds dialog
#define HID_BG                                             "WIZARDS_HID_BG"
#define HID_BG_BTN_OTHER                                   "WIZARDS_HID_BG_BTN_OTHER"
#define HID_BG_BTN_NONE                                    "WIZARDS_HID_BG_BTN_NONE"
#define HID_BG_BTN_OK                                      "WIZARDS_HID_BG_BTN_OK"
#define HID_BG_BTN_CANCEL                                  "WIZARDS_HID_BG_BTN_CANCEL"

#define HID_BG_BTN_BACK                                    "WIZARDS_HID_BG_BTN_BACK"
#define HID_BG_BTN_FW                                      "WIZARDS_HID_BG_BTN_FW"
#define HID_BG_BTN_IMG1                                    "WIZARDS_HID_BG_BTN_IMG1"
#define HID_BG_BTN_IMG2                                    "WIZARDS_HID_BG_BTN_IMG2"
#define HID_BG_BTN_IMG3                                    "WIZARDS_HID_BG_BTN_IMG3"
#define HID_BG_BTN_IMG4                                    "WIZARDS_HID_BG_BTN_IMG4"
#define HID_BG_BTN_IMG5                                    "WIZARDS_HID_BG_BTN_IMG5"
#define HID_BG_BTN_IMG6                                    "WIZARDS_HID_BG_BTN_IMG6"
#define HID_BG_BTN_IMG7                                    "WIZARDS_HID_BG_BTN_IMG7"
#define HID_BG_BTN_IMG8                                    "WIZARDS_HID_BG_BTN_IMG8"
#define HID_BG_BTN_IMG9                                    "WIZARDS_HID_BG_BTN_IMG9"
#define HID_BG_BTN_IMG10                                   "WIZARDS_HID_BG_BTN_IMG10"
#define HID_BG_BTN_IMG11                                   "WIZARDS_HID_BG_BTN_IMG11"
#define HID_BG_BTN_IMG12                                   "WIZARDS_HID_BG_BTN_IMG12"

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Note: Web Wizard continues on 41000 later in this file.
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++


// *************
// REPORT WIZARD
// *************

#define HID_DLGREPORT_DIALOG                               "WIZARDS_HID_DLGREPORT_DIALOG"
#define HID_DLGREPORT_0_CMDPREV                            "WIZARDS_HID_DLGREPORT_0_CMDPREV"
#define HID_DLGREPORT_0_CMDNEXT                            "WIZARDS_HID_DLGREPORT_0_CMDNEXT"
#define HID_DLGREPORT_0_CMDFINISH                          "WIZARDS_HID_DLGREPORT_0_CMDFINISH"
#define HID_DLGREPORT_0_CMDCANCEL                          "WIZARDS_HID_DLGREPORT_0_CMDCANCEL"

#define HID_DLGREPORT_1_LBTABLES                           "WIZARDS_HID_DLGREPORT_1_LBTABLES"
#define HID_DLGREPORT_1_FIELDSAVAILABLE                    "WIZARDS_HID_DLGREPORT_1_FIELDSAVAILABLE"
#define HID_DLGREPORT_1_CMDMOVESELECTED                    "WIZARDS_HID_DLGREPORT_1_CMDMOVESELECTED"
#define HID_DLGREPORT_1_CMDMOVEALL                         "WIZARDS_HID_DLGREPORT_1_CMDMOVEALL"
#define HID_DLGREPORT_1_CMDREMOVESELECTED                  "WIZARDS_HID_DLGREPORT_1_CMDREMOVESELECTED"
#define HID_DLGREPORT_1_CMDREMOVEALL                       "WIZARDS_HID_DLGREPORT_1_CMDREMOVEALL"
#define HID_DLGREPORT_1_FIELDSSELECTED                     "WIZARDS_HID_DLGREPORT_1_FIELDSSELECTED"
#define HID_DLGREPORT_1_CMDMOVEUP                          "WIZARDS_HID_DLGREPORT_1_CMDMOVEUP"
#define HID_DLGREPORT_1_CMDMOVEDOWN                        "WIZARDS_HID_DLGREPORT_1_CMDMOVEDOWN"


#define HID_DLGREPORT_2_GROUPING                           "WIZARDS_HID_DLGREPORT_2_GROUPING"
#define HID_DLGREPORT_2_CMDGROUP                           "WIZARDS_HID_DLGREPORT_2_CMDGROUP"
#define HID_DLGREPORT_2_CMDUNGROUP                         "WIZARDS_HID_DLGREPORT_2_CMDUNGROUP"
#define HID_DLGREPORT_2_PREGROUPINGDEST                    "WIZARDS_HID_DLGREPORT_2_PREGROUPINGDEST"
#define HID_DLGREPORT_2_CMDMOVEUPGROUP                     "WIZARDS_HID_DLGREPORT_2_CMDMOVEUPGROUP"
#define HID_DLGREPORT_2_CMDMOVEDOWNGROUP                   "WIZARDS_HID_DLGREPORT_2_CMDMOVEDOWNGROUP"


#define HID_DLGREPORT_3_SORT1                              "WIZARDS_HID_DLGREPORT_3_SORT1"
#define HID_DLGREPORT_3_OPTASCEND1                         "WIZARDS_HID_DLGREPORT_3_OPTASCEND1"
#define HID_DLGREPORT_3_OPTDESCEND1                        "WIZARDS_HID_DLGREPORT_3_OPTDESCEND1"
#define HID_DLGREPORT_3_SORT2                              "WIZARDS_HID_DLGREPORT_3_SORT2"
#define HID_DLGREPORT_3_OPTASCEND2                         "WIZARDS_HID_DLGREPORT_3_OPTASCEND2"
#define HID_DLGREPORT_3_OPTDESCEND2                        "WIZARDS_HID_DLGREPORT_3_OPTDESCEND2"
#define HID_DLGREPORT_3_SORT3                              "WIZARDS_HID_DLGREPORT_3_SORT3"
#define HID_DLGREPORT_3_OPTASCEND3                         "WIZARDS_HID_DLGREPORT_3_OPTASCEND3"
#define HID_DLGREPORT_3_OPTDESCEND3                        "WIZARDS_HID_DLGREPORT_3_OPTDESCEND3"
#define HID_DLGREPORT_3_SORT4                              "WIZARDS_HID_DLGREPORT_3_SORT4"
#define HID_DLGREPORT_3_OPTASCEND4                         "WIZARDS_HID_DLGREPORT_3_OPTASCEND4"
#define HID_DLGREPORT_3_OPTDESCEND4                        "WIZARDS_HID_DLGREPORT_3_OPTDESCEND4"

#define HID_DLGREPORT_4_TITLE                              "WIZARDS_HID_DLGREPORT_4_TITLE"
#define HID_DLGREPORT_4_DATALAYOUT                         "WIZARDS_HID_DLGREPORT_4_DATALAYOUT"
#define HID_DLGREPORT_4_PAGELAYOUT                         "WIZARDS_HID_DLGREPORT_4_PAGELAYOUT"
#define HID_DLGREPORT_4_LANDSCAPE                          "WIZARDS_HID_DLGREPORT_4_LANDSCAPE"
#define HID_DLGREPORT_4_PORTRAIT                           "WIZARDS_HID_DLGREPORT_4_PORTRAIT"

#define HID_DLGREPORT_5_OPTDYNTEMPLATE                     "WIZARDS_HID_DLGREPORT_5_OPTDYNTEMPLATE"
#define HID_DLGREPORT_5_OPTSTATDOCUMENT                    "WIZARDS_HID_DLGREPORT_5_OPTSTATDOCUMENT"
#define HID_DLGREPORT_5_TXTTEMPLATEPATH                    "WIZARDS_HID_DLGREPORT_5_TXTTEMPLATEPATH"
#define HID_DLGREPORT_5_CMDTEMPLATEPATH                    "WIZARDS_HID_DLGREPORT_5_CMDTEMPLATEPATH"
#define HID_DLGREPORT_5_OPTEDITTEMPLATE                    "WIZARDS_HID_DLGREPORT_5_OPTEDITTEMPLATE"
#define HID_DLGREPORT_5_OPTUSETEMPLATE                     "WIZARDS_HID_DLGREPORT_5_OPTUSETEMPLATE"
#define HID_DLGREPORT_5_TXTDOCUMENTPATH                    "WIZARDS_HID_DLGREPORT_5_TXTDOCUMENTPATH"
#define HID_DLGREPORT_5_CMDDOCUMENTPATH                    "WIZARDS_HID_DLGREPORT_5_CMDDOCUMENTPATH"
#define HID_DLGREPORT_5_CHKLINKTODB                        "WIZARDS_HID_DLGREPORT_5_CHKLINKTODB"
#define HID_DLGREPORT_6_TXTTITLE_1                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_1"
#define HID_DLGREPORT_6_TXTTITLE_2                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_2"
#define HID_DLGREPORT_6_TXTTITLE_3                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_3"
#define HID_DLGREPORT_6_TXTTITLE_4                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_4"
#define HID_DLGREPORT_6_TXTTITLE_5                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_5"
#define HID_DLGREPORT_6_TXTTITLE_6                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_6"
#define HID_DLGREPORT_6_TXTTITLE_7                         "WIZARDS_HID_DLGREPORT_6_TXTTITLE_7"


/* ====================================
 *                 FormWizard
 * ====================================
 */


#define HID_DLGFORM_DIALOG                                 "WIZARDS_HID_DLGFORM_DIALOG"
#define HID_DLGFORM_CMDPREV                                "WIZARDS_HID_DLGFORM_CMDPREV"
#define HID_DLGFORM_CMDNEXT                                "WIZARDS_HID_DLGFORM_CMDNEXT"
#define HID_DLGFORM_CMDFINISH                              "WIZARDS_HID_DLGFORM_CMDFINISH"
#define HID_DLGFORM_CMDCANCEL                              "WIZARDS_HID_DLGFORM_CMDCANCEL"

#define HID_DLGFORM_MASTER_LBTABLES                        "WIZARDS_HID_DLGFORM_MASTER_LBTABLES"
#define HID_DLGFORM_MASTER_FIELDSAVAILABLE                 "WIZARDS_HID_DLGFORM_MASTER_FIELDSAVAILABLE"
#define HID_DLGFORM_MASTER_CMDMOVESELECTED                 "WIZARDS_HID_DLGFORM_MASTER_CMDMOVESELECTED"
#define HID_DLGFORM_MASTER_CMDMOVEALL                      "WIZARDS_HID_DLGFORM_MASTER_CMDMOVEALL"
#define HID_DLGFORM_MASTER_CMDREMOVESELECTED               "WIZARDS_HID_DLGFORM_MASTER_CMDREMOVESELECTED"
#define HID_DLGFORM_MASTER_CMDREMOVEALL                    "WIZARDS_HID_DLGFORM_MASTER_CMDREMOVEALL"
#define HID_DLGFORM_MASTER_FIELDSSELECTED                  "WIZARDS_HID_DLGFORM_MASTER_FIELDSSELECTED"
#define HID_DLGFORM_MASTER_CMDMOVEUP                       "WIZARDS_HID_DLGFORM_MASTER_CMDMOVEUP"
#define HID_DLGFORM_MASTER_CMDMOVEDOWN                     "WIZARDS_HID_DLGFORM_MASTER_CMDMOVEDOWN"


#define HID_DLGFORM_CHKCREATESUBFORM                       "WIZARDS_HID_DLGFORM_CHKCREATESUBFORM"
#define HID_DLGFORM_OPTONEXISTINGRELATION                  "WIZARDS_HID_DLGFORM_OPTONEXISTINGRELATION"
#define HID_DLGFORM_OPTSELECTMANUALLY                      "WIZARDS_HID_DLGFORM_OPTSELECTMANUALLY"
#define HID_DLGFORM_lstRELATIONS		           "WIZARDS_HID_DLGFORM_lstRELATIONS"	


#define HID_DLGFORM_SUB_LBTABLES                           "WIZARDS_HID_DLGFORM_SUB_LBTABLES"
#define HID_DLGFORM_SUB_FIELDSAVAILABLE                    "WIZARDS_HID_DLGFORM_SUB_FIELDSAVAILABLE"
#define HID_DLGFORM_SUB_CMDMOVESELECTED                    "WIZARDS_HID_DLGFORM_SUB_CMDMOVESELECTED"
#define HID_DLGFORM_SUB_CMDMOVEALL                         "WIZARDS_HID_DLGFORM_SUB_CMDMOVEALL"
#define HID_DLGFORM_SUB_CMDREMOVESELECTED                  "WIZARDS_HID_DLGFORM_SUB_CMDREMOVESELECTED"
#define HID_DLGFORM_SUB_CMDREMOVEALL                       "WIZARDS_HID_DLGFORM_SUB_CMDREMOVEALL"
#define HID_DLGFORM_SUB_FIELDSSELECTED                     "WIZARDS_HID_DLGFORM_SUB_FIELDSSELECTED"
#define HID_DLGFORM_SUB_CMDMOVEUP                          "WIZARDS_HID_DLGFORM_SUB_CMDMOVEUP"
#define HID_DLGFORM_SUB_CMDMOVEDOWN                        "WIZARDS_HID_DLGFORM_SUB_CMDMOVEDOWN"


#define HID_DLGFORM_LINKER_LSTSLAVELINK1                   "WIZARDS_HID_DLGFORM_LINKER_LSTSLAVELINK1"
#define HID_DLGFORM_LINKER_LSTMASTERLINK1                  "WIZARDS_HID_DLGFORM_LINKER_LSTMASTERLINK1"
#define HID_DLGFORM_LINKER_LSTSLAVELINK2                   "WIZARDS_HID_DLGFORM_LINKER_LSTSLAVELINK2"
#define HID_DLGFORM_LINKER_LSTMASTERLINK2                  "WIZARDS_HID_DLGFORM_LINKER_LSTMASTERLINK2"
#define HID_DLGFORM_LINKER_LSTSLAVELINK3                   "WIZARDS_HID_DLGFORM_LINKER_LSTSLAVELINK3"
#define HID_DLGFORM_LINKER_LSTMASTERLINK3                  "WIZARDS_HID_DLGFORM_LINKER_LSTMASTERLINK3"
#define HID_DLGFORM_LINKER_LSTSLAVELINK4                   "WIZARDS_HID_DLGFORM_LINKER_LSTSLAVELINK4"
#define HID_DLGFORM_LINKER_LSTMASTERLINK4                  "WIZARDS_HID_DLGFORM_LINKER_LSTMASTERLINK4"

#define HID_DLGFORM_CMDALIGNLEFT                           "WIZARDS_HID_DLGFORM_CMDALIGNLEFT"
#define HID_DLGFORM_CMDALIGNRIGHT                          "WIZARDS_HID_DLGFORM_CMDALIGNRIGHT"


#define HID_DLGFORM_CMDLEFTLABELED                         "WIZARDS_HID_DLGFORM_CMDLEFTLABELED"
#define HID_DLGFORM_CMDTOPLABELED                          "WIZARDS_HID_DLGFORM_CMDTOPLABELED"
#define HID_DLGFORM_CMDTABLESTYLE                          "WIZARDS_HID_DLGFORM_CMDTABLESTYLE"
#define HID_DLGFORM_CMDTOPJUSTIFIED                        "WIZARDS_HID_DLGFORM_CMDTOPJUSTIFIED"

#define HID_DLGFORM_CMDLEFTLABELED2                        "WIZARDS_HID_DLGFORM_CMDLEFTLABELED2"
#define HID_DLGFORM_CMDTOPLABELED2                         "WIZARDS_HID_DLGFORM_CMDTOPLABELED2"
#define HID_DLGFORM_CMDTABLESTYLE2                         "WIZARDS_HID_DLGFORM_CMDTABLESTYLE2"
#define HID_DLGFORM_CMDTOPJUSTIFIED2                       "WIZARDS_HID_DLGFORM_CMDTOPJUSTIFIED2"

#define HID_DLGFORM_OPTNEWDATAONLY                         "WIZARDS_HID_DLGFORM_OPTNEWDATAONLY"
#define HID_DLGFORM_OPTDISPLAYALLDATA                      "WIZARDS_HID_DLGFORM_OPTDISPLAYALLDATA"
#define HID_DLGFORM_CHKNOMODIFICATION                      "WIZARDS_HID_DLGFORM_CHKNOMODIFICATION"
#define HID_DLGFORM_CHKNODELETION                          "WIZARDS_HID_DLGFORM_CHKNODELETION"
#define HID_DLGFORM_CHKNOADDITION                          "WIZARDS_HID_DLGFORM_CHKNOADDITION"


#define HID_DLGFORM_LSTSTYLES                              "WIZARDS_HID_DLGFORM_LSTSTYLES"
#define HID_DLGFORM_CMDNOBORDER                            "WIZARDS_HID_DLGFORM_CMDNOBORDER"
#define HID_DLGFORM_CMD3DBORDER                            "WIZARDS_HID_DLGFORM_CMD3DBORDER"
#define HID_DLGFORM_CMDSIMPLEBORDER                        "WIZARDS_HID_DLGFORM_CMDSIMPLEBORDER"

#define HID_DLGFORM_TXTPATH                                "WIZARDS_HID_DLGFORM_TXTPATH"
#define HID_DLGFORM_OPTWORKWITHFORM                        "WIZARDS_HID_DLGFORM_OPTWORKWITHFORM"
#define HID_DLGFORM_OPTMODIFYFORM                          "WIZARDS_HID_DLGFORM_OPTMODIFYFORM"


#define HID_DLGNEWSLTR_DIALOG                              "WIZARDS_HID_DLGNEWSLTR_DIALOG"
#define HID_DLGNEWSLTR_OPTSTANDARDLAYOUT                   "WIZARDS_HID_DLGNEWSLTR_OPTSTANDARDLAYOUT"
#define HID_DLGNEWSLTR_OPTPARTYLAYOUT                      "WIZARDS_HID_DLGNEWSLTR_OPTPARTYLAYOUT"
#define HID_DLGNEWSLTR_OPTBROCHURELAYOUT                   "WIZARDS_HID_DLGNEWSLTR_OPTBROCHURELAYOUT"
#define HID_DLGNEWSLTR_OPTSINGLESIDED                      "WIZARDS_HID_DLGNEWSLTR_OPTSINGLESIDED"
#define HID_DLGNEWSLTR_OPTDOUBLESIDED                      "WIZARDS_HID_DLGNEWSLTR_OPTDOUBLESIDED"
#define HID_DLGNEWSLTR_CMDGOON                             "WIZARDS_HID_DLGNEWSLTR_CMDGOON"


#define HID_DLGDEPOT_DIALOG_SELLBUY                        "WIZARDS_HID_DLGDEPOT_DIALOG_SELLBUY"
#define HID_DLGDEPOT_0_TXTSTOCKID_SELLBUY                  "WIZARDS_HID_DLGDEPOT_0_TXTSTOCKID_SELLBUY"
#define HID_DLGDEPOT_0_TXTQUANTITY                         "WIZARDS_HID_DLGDEPOT_0_TXTQUANTITY"
#define HID_DLGDEPOT_0_TXTRATE                             "WIZARDS_HID_DLGDEPOT_0_TXTRATE"
#define HID_DLGDEPOT_0_TXTDATE                             "WIZARDS_HID_DLGDEPOT_0_TXTDATE"
#define HID_DLGDEPOT_0_TXTCOMMISSION                       "WIZARDS_HID_DLGDEPOT_0_TXTCOMMISSION"
#define HID_DLGDEPOT_0_TXTFIX                              "WIZARDS_HID_DLGDEPOT_0_TXTFIX"
#define HID_DLGDEPOT_0_TXTMINIMUM                          "WIZARDS_HID_DLGDEPOT_0_TXTMINIMUM"
#define HID_DLGDEPOT_0_CMDCANCEL_SELLBUY                   "WIZARDS_HID_DLGDEPOT_0_CMDCANCEL_SELLBUY"
#define HID_DLGDEPOT_0_CMDGOON_SELLBUY                     "WIZARDS_HID_DLGDEPOT_0_CMDGOON_SELLBUY"
#define HID_DLGDEPOT_1_LSTSELLSTOCKS                       "WIZARDS_HID_DLGDEPOT_1_LSTSELLSTOCKS"
#define HID_DLGDEPOT_2_LSTBUYSTOCKS                        "WIZARDS_HID_DLGDEPOT_2_LSTBUYSTOCKS"
#define HID_DLGDEPOT_DIALOG_SPLIT                          "WIZARDS_HID_DLGDEPOT_DIALOG_SPLIT"
#define HID_DLGDEPOT_0_LSTSTOCKNAMES                       "WIZARDS_HID_DLGDEPOT_0_LSTSTOCKNAMES"
#define HID_DLGDEPOT_0_TXTSTOCKID_SPLIT                    "WIZARDS_HID_DLGDEPOT_0_TXTSTOCKID_SPLIT"
#define HID_DLGDEPOT_0_CMDCANCEL_SPLIT                     "WIZARDS_HID_DLGDEPOT_0_CMDCANCEL_SPLIT"
#define HID_DLGDEPOT_0_CMDGOON_SPLIT                       "WIZARDS_HID_DLGDEPOT_0_CMDGOON_SPLIT"
#define HID_DLGDEPOT_1_OPTPERSHARE                         "WIZARDS_HID_DLGDEPOT_1_OPTPERSHARE"
#define HID_DLGDEPOT_1_OPTTOTAL                            "WIZARDS_HID_DLGDEPOT_1_OPTTOTAL"
#define HID_DLGDEPOT_1_TXTDIVIDEND                         "WIZARDS_HID_DLGDEPOT_1_TXTDIVIDEND"
#define HID_DLGDEPOT_2_TXTOLDRATE                          "WIZARDS_HID_DLGDEPOT_2_TXTOLDRATE"
#define HID_DLGDEPOT_2_TXTNEWRATE                          "WIZARDS_HID_DLGDEPOT_2_TXTNEWRATE"
#define HID_DLGDEPOT_2_TXTDATE                             "WIZARDS_HID_DLGDEPOT_2_TXTDATE"
#define HID_DLGDEPOT_3_TXTSTARTDATE                        "WIZARDS_HID_DLGDEPOT_3_TXTSTARTDATE"
#define HID_DLGDEPOT_3_TXTENDDATE                          "WIZARDS_HID_DLGDEPOT_3_TXTENDDATE"
#define HID_DLGDEPOT_3_OPTDAILY                            "WIZARDS_HID_DLGDEPOT_3_OPTDAILY"
#define HID_DLGDEPOT_3_OPTWEEKLY                           "WIZARDS_HID_DLGDEPOT_3_OPTWEEKLY"
#define HID_DLGDEPOT_DIALOG_HISTORY                        "WIZARDS_HID_DLGDEPOT_DIALOG_HISTORY"
#define HID_DLGDEPOT_LSTMARKETS                            "WIZARDS_HID_DLGDEPOT_LSTMARKETS"
#define HID_DLGDEPOT_0_CMDCANCEL_HISTORY                   "WIZARDS_HID_DLGDEPOT_0_CMDCANCEL_HISTORY"
#define HID_DLGDEPOT_0_CMDGOON_HISTORY                     "WIZARDS_HID_DLGDEPOT_0_CMDGOON_HISTORY"

#define HID_DLGIMPORT_DIALOG                               "WIZARDS_HID_DLGIMPORT_DIALOG"
#define HID_DLGIMPORT_0_CMDHELP                            "WIZARDS_HID_DLGIMPORT_0_CMDHELP"
#define HID_DLGIMPORT_0_CMDCANCEL                          "WIZARDS_HID_DLGIMPORT_0_CMDCANCEL"
#define HID_DLGIMPORT_0_CMDPREV                            "WIZARDS_HID_DLGIMPORT_0_CMDPREV"
#define HID_DLGIMPORT_0_CMDNEXT                            "WIZARDS_HID_DLGIMPORT_0_CMDNEXT"
#define HID_DLGIMPORT_0_OPTSODOCUMENTS                     "WIZARDS_HID_DLGIMPORT_0_OPTSODOCUMENTS"
#define HID_DLGIMPORT_0_OPTMSDOCUMENTS                     "WIZARDS_HID_DLGIMPORT_0_OPTMSDOCUMENTS"
#define HID_DLGIMPORT_0_CHKLOGFILE                         "WIZARDS_HID_DLGIMPORT_0_CHKLOGFILE"
#define HID_DLGIMPORT_2_CHKWORD                            "WIZARDS_HID_DLGIMPORT_2_CHKWORD"
#define HID_DLGIMPORT_2_CHKEXCEL                           "WIZARDS_HID_DLGIMPORT_2_CHKEXCEL"
#define HID_DLGIMPORT_2_CHKPOWERPOINT                      "WIZARDS_HID_DLGIMPORT_2_CHKPOWERPOINT"
#define HID_DLGIMPORT_2_CBTEMPLATE                         "WIZARDS_HID_DLGIMPORT_2_CBTEMPLATE"
#define HID_DLGIMPORT_2_CBTEMPLATERECURSE                  "WIZARDS_HID_DLGIMPORT_2_CBTEMPLATERECURSE"
#define HID_DLGIMPORT_2_LBTEMPLATEPATH                     "WIZARDS_HID_DLGIMPORT_2_LBTEMPLATEPATH"
#define HID_DLGIMPORT_2_EDTEMPLATEPATH                     "WIZARDS_HID_DLGIMPORT_2_EDTEMPLATEPATH"
#define HID_DLGIMPORT_2_CBDOCUMENT                         "WIZARDS_HID_DLGIMPORT_2_CBDOCUMENT"
#define HID_DLGIMPORT_2_CMDTEMPLATEPATHSELECT              "WIZARDS_HID_DLGIMPORT_2_CMDTEMPLATEPATHSELECT"
#define HID_DLGIMPORT_2_CBDOCUMENT                         "WIZARDS_HID_DLGIMPORT_2_CBDOCUMENT"
#define HID_DLGIMPORT_2_CBDOCUMENTRECURSE                  "WIZARDS_HID_DLGIMPORT_2_CBDOCUMENTRECURSE"
#define HID_DLGIMPORT_2_LBDOCUMENTPATH                     "WIZARDS_HID_DLGIMPORT_2_LBDOCUMENTPATH"
#define HID_DLGIMPORT_2_EDDOCUMENTPATH                     "WIZARDS_HID_DLGIMPORT_2_EDDOCUMENTPATH"
#define HID_DLGIMPORT_2_CMDDOCUMENTPATHSELECT              "WIZARDS_HID_DLGIMPORT_2_CMDDOCUMENTPATHSELECT"
#define HID_DLGIMPORT_2_LBEXPORTDOCUMENTPATH               "WIZARDS_HID_DLGIMPORT_2_LBEXPORTDOCUMENTPATH"
#define HID_DLGIMPORT_2_EDEXPORTDOCUMENTPATH               "WIZARDS_HID_DLGIMPORT_2_EDEXPORTDOCUMENTPATH"
#define HID_DLGIMPORT_2_CMDEXPORTPATHSELECT                "WIZARDS_HID_DLGIMPORT_2_CMDEXPORTPATHSELECT"
#define HID_DLGIMPORT_3_TBSUMMARY                          "WIZARDS_HID_DLGIMPORT_3_TBSUMMARY"

#define HID_DLGIMPORT_2_CMDTEMPLATEPATHSELECT2             "WIZARDS_HID_DLGIMPORT_2_CMDTEMPLATEPATHSELECT2"
#define HID_DLGIMPORT_2_CMDDOCUMENTPATHSELECT2             "WIZARDS_HID_DLGIMPORT_2_CMDDOCUMENTPATHSELECT2"


#define HID_DLGIMPORT_0_CHKWRITER                          "WIZARDS_HID_DLGIMPORT_0_CHKWRITER"
#define HID_DLGIMPORT_0_CHKCALC                            "WIZARDS_HID_DLGIMPORT_0_CHKCALC"
#define HID_DLGIMPORT_0_CHKIMPRESS                         "WIZARDS_HID_DLGIMPORT_0_CHKIMPRESS"
#define HID_DLGIMPORT_0_CHKMATHGLOBAL                      "WIZARDS_HID_DLGIMPORT_0_CHKMATHGLOBAL"


#define HID_DLGCORRESPONDENCE_DIALOG                       "WIZARDS_HID_DLGCORRESPONDENCE_DIALOG"
#define HID_DLGCORRESPONDENCE_CANCEL                       "WIZARDS_HID_DLGCORRESPONDENCE_CANCEL"
#define HID_DLGCORRESPONDENCE_OPTIONAGENDA1                "WIZARDS_HID_DLGCORRESPONDENCE_OPTIONAGENDA1"
#define HID_DLGCORRESPONDENCE_OPTIONAGENDA2                "WIZARDS_HID_DLGCORRESPONDENCE_OPTIONAGENDA2"
#define HID_DLGCORRESPONDENCE_AGENDAOKAY                   "WIZARDS_HID_DLGCORRESPONDENCE_AGENDAOKAY"
#define HID_DLGCORRESPONDENCE_OPTIONLETTER1                "WIZARDS_HID_DLGCORRESPONDENCE_OPTIONLETTER1"
#define HID_DLGCORRESPONDENCE_OPTIONLETTER2                "WIZARDS_HID_DLGCORRESPONDENCE_OPTIONLETTER2"
#define HID_DLGCORRESPONDENCE_LETTEROKAY                   "WIZARDS_HID_DLGCORRESPONDENCE_LETTEROKAY"

#define HID_DLGSTYLES_DIALOG                               "WIZARDS_HID_DLGSTYLES_DIALOG"
#define HID_DLGSTYLES_LISTBOX                              "WIZARDS_HID_DLGSTYLES_LISTBOX"
#define HID_DLGSTYLES_CANCEL                               "WIZARDS_HID_DLGSTYLES_CANCEL"
#define HID_DLGSTYLES_OKAY                                 "WIZARDS_HID_DLGSTYLES_OKAY"

#define HID_DLGCONVERT_DIALOG                              "WIZARDS_HID_DLGCONVERT_DIALOG"
#define HID_DLGCONVERT_CHECKBOX1                           "WIZARDS_HID_DLGCONVERT_CHECKBOX1"
#define HID_DLGCONVERT_OPTIONBUTTON1                       "WIZARDS_HID_DLGCONVERT_OPTIONBUTTON1"
#define HID_DLGCONVERT_OPTIONBUTTON2                       "WIZARDS_HID_DLGCONVERT_OPTIONBUTTON2"
#define HID_DLGCONVERT_OPTIONBUTTON3                       "WIZARDS_HID_DLGCONVERT_OPTIONBUTTON3"
#define HID_DLGCONVERT_OPTIONBUTTON4                       "WIZARDS_HID_DLGCONVERT_OPTIONBUTTON4"
#define HID_DLGCONVERT_LISTBOX1                          "WIZARDS_HID_DLGCONVERT_LISTBOX1"  
#define HID_DLGCONVERT_OBFILE                              "WIZARDS_HID_DLGCONVERT_OBFILE"
#define HID_DLGCONVERT_OBDIR                               "WIZARDS_HID_DLGCONVERT_OBDIR"
#define HID_DLGCONVERT_COMBOBOX1                           "WIZARDS_HID_DLGCONVERT_COMBOBOX1"
#define HID_DLGCONVERT_TBSOURCE                            "WIZARDS_HID_DLGCONVERT_TBSOURCE"
#define HID_DLGCONVERT_CHECKRECURSIVE                      "WIZARDS_HID_DLGCONVERT_CHECKRECURSIVE"
#define HID_DLGCONVERT_TBTARGET                            "WIZARDS_HID_DLGCONVERT_TBTARGET"
#define HID_DLGCONVERT_CBCANCEL                            "WIZARDS_HID_DLGCONVERT_CBCANCEL"
#define HID_DLGCONVERT_CBHELP                              "WIZARDS_HID_DLGCONVERT_CBHELP"
#define HID_DLGCONVERT_CBBACK                              "WIZARDS_HID_DLGCONVERT_CBBACK"
#define HID_DLGCONVERT_CBGOON                              "WIZARDS_HID_DLGCONVERT_CBGOON"
#define HID_DLGCONVERT_CBSOURCEOPEN                        "WIZARDS_HID_DLGCONVERT_CBSOURCEOPEN"
#define HID_DLGCONVERT_CBTARGETOPEN                        "WIZARDS_HID_DLGCONVERT_CBTARGETOPEN"
#define HID_DLGCONVERT_CHKPROTECT                          "WIZARDS_HID_DLGCONVERT_CHKPROTECT"
#define HID_DLGCONVERT_CHKTEXTDOCUMENTS                    "WIZARDS_HID_DLGCONVERT_CHKTEXTDOCUMENTS"

#define HID_DLGPASSWORD_CMDGOON                            "WIZARDS_HID_DLGPASSWORD_CMDGOON"
#define HID_DLGPASSWORD_CMDCANCEL                          "WIZARDS_HID_DLGPASSWORD_CMDCANCEL"
#define HID_DLGPASSWORD_CMDHELP                            "WIZARDS_HID_DLGPASSWORD_CMDHELP"
#define HID_DLGPASSWORD_TXTPASSWORD                        "WIZARDS_HID_DLGPASSWORD_TXTPASSWORD"

#define HID_DLGHOLIDAYCAL_DIALOG                           "WIZARDS_HID_DLGHOLIDAYCAL_DIALOG"
#define HID_DLGHOLIDAYCAL_1_PREVIEW                        "WIZARDS_HID_DLGHOLIDAYCAL_1_PREVIEW"
#define HID_DLGHOLIDAYCAL_1_OPYEAR                         "WIZARDS_HID_DLGHOLIDAYCAL_1_OPYEAR"
#define HID_DLGHOLIDAYCAL_1_OPMONTH                        "WIZARDS_HID_DLGHOLIDAYCAL_1_OPMONTH"
#define HID_DLGHOLIDAYCAL_1_EDYEAR                         "WIZARDS_HID_DLGHOLIDAYCAL_1_EDYEAR"
#define HID_DLGHOLIDAYCAL_1_EDMONTH                        "WIZARDS_HID_DLGHOLIDAYCAL_1_EDMONTH"
#define HID_DLGHOLIDAYCAL_1_SPINYEAR                       "WIZARDS_HID_DLGHOLIDAYCAL_1_SPINYEAR"
#define HID_DLGHOLIDAYCAL_1_SPINMONTH                      "WIZARDS_HID_DLGHOLIDAYCAL_1_SPINMONTH"
#define HID_DLGHOLIDAYCAL_1_CMBSTATE                       "WIZARDS_HID_DLGHOLIDAYCAL_1_CMBSTATE"
#define HID_DLGHOLIDAYCAL_2_LBOWNDATA                      "WIZARDS_HID_DLGHOLIDAYCAL_2_LBOWNDATA"
#define HID_DLGHOLIDAYCAL_2_CMDINSERT                      "WIZARDS_HID_DLGHOLIDAYCAL_2_CMDINSERT"
#define HID_DLGHOLIDAYCAL_2_CMDDELETE                      "WIZARDS_HID_DLGHOLIDAYCAL_2_CMDDELETE"
#define HID_DLGHOLIDAYCAL_2_EDEVENT                        "WIZARDS_HID_DLGHOLIDAYCAL_2_EDEVENT"
#define HID_DLGHOLIDAYCAL_2_CHKEVENT                       "WIZARDS_HID_DLGHOLIDAYCAL_2_CHKEVENT"
#define HID_DLGHOLIDAYCAL_2_EDEVENTDAY                     "WIZARDS_HID_DLGHOLIDAYCAL_2_EDEVENTDAY"
#define HID_DLGHOLIDAYCAL_2_SPINEVENTDAY                   "WIZARDS_HID_DLGHOLIDAYCAL_2_SPINEVENTDAY"
#define HID_DLGHOLIDAYCAL_2_EDEVENTMONTH                   "WIZARDS_HID_DLGHOLIDAYCAL_2_EDEVENTMONTH"
#define HID_DLGHOLIDAYCAL_2_SPINEVENTMONTH                 "WIZARDS_HID_DLGHOLIDAYCAL_2_SPINEVENTMONTH"
#define HID_DLGHOLIDAYCAL_2_EDEVENTYEAR                    "WIZARDS_HID_DLGHOLIDAYCAL_2_EDEVENTYEAR"
#define HID_DLGHOLIDAYCAL_2_SPINEVENTYEAR                  "WIZARDS_HID_DLGHOLIDAYCAL_2_SPINEVENTYEAR"
#define HID_DLGHOLIDAYCAL_0_CMDOWNDATA                     "WIZARDS_HID_DLGHOLIDAYCAL_0_CMDOWNDATA"
#define HID_DLGHOLIDAYCAL_0_CMDCANCEL                      "WIZARDS_HID_DLGHOLIDAYCAL_0_CMDCANCEL"
#define HID_DLGHOLIDAYCAL_0_CMDOK                          "WIZARDS_HID_DLGHOLIDAYCAL_0_CMDOK"
//End at 34767

//Start at 40768

//LetterWizard---------------------------

#define HID_LTRWIZ_OPTBUSINESSLETTER                       "WIZARDS_HID_LTRWIZ_OPTBUSINESSLETTER"
#define HID_LTRWIZ_OPTPRIVOFFICIALLETTER                   "WIZARDS_HID_LTRWIZ_OPTPRIVOFFICIALLETTER"
#define HID_LTRWIZ_OPTPRIVATELETTER                        "WIZARDS_HID_LTRWIZ_OPTPRIVATELETTER"
#define HID_LTRWIZ_LSTBUSINESSSTYLE                        "WIZARDS_HID_LTRWIZ_LSTBUSINESSSTYLE"
#define HID_LTRWIZ_CHKBUSINESSPAPER                        "WIZARDS_HID_LTRWIZ_CHKBUSINESSPAPER"
#define HID_LTRWIZ_LSTPRIVOFFICIALSTYLE                    "WIZARDS_HID_LTRWIZ_LSTPRIVOFFICIALSTYLE"
#define HID_LTRWIZ_LSTPRIVATESTYLE                         "WIZARDS_HID_LTRWIZ_LSTPRIVATESTYLE"
#define HID_LTRWIZ_CHKPAPERCOMPANYLOGO                     "WIZARDS_HID_LTRWIZ_CHKPAPERCOMPANYLOGO"
#define HID_LTRWIZ_NUMLOGOHEIGHT                           "WIZARDS_HID_LTRWIZ_NUMLOGOHEIGHT"
#define HID_LTRWIZ_NUMLOGOX                                "WIZARDS_HID_LTRWIZ_NUMLOGOX"
#define HID_LTRWIZ_NUMLOGOWIDTH                            "WIZARDS_HID_LTRWIZ_NUMLOGOWIDTH"
#define HID_LTRWIZ_NUMLOGOY                                "WIZARDS_HID_LTRWIZ_NUMLOGOY"
#define HID_LTRWIZ_CHKPAPERCOMPANYADDRESS                  "WIZARDS_HID_LTRWIZ_CHKPAPERCOMPANYADDRESS"
#define HID_LTRWIZ_NUMADDRESSHEIGHT                        "WIZARDS_HID_LTRWIZ_NUMADDRESSHEIGHT"
#define HID_LTRWIZ_NUMADDRESSX                             "WIZARDS_HID_LTRWIZ_NUMADDRESSX"
#define HID_LTRWIZ_NUMADDRESSWIDTH                         "WIZARDS_HID_LTRWIZ_NUMADDRESSWIDTH"
#define HID_LTRWIZ_NUMADDRESSY                             "WIZARDS_HID_LTRWIZ_NUMADDRESSY"
#define HID_LTRWIZ_CHKCOMPANYRECEIVER                      "WIZARDS_HID_LTRWIZ_CHKCOMPANYRECEIVER"
#define HID_LTRWIZ_CHKPAPERFOOTER                          "WIZARDS_HID_LTRWIZ_CHKPAPERFOOTER"
#define HID_LTRWIZ_NUMFOOTERHEIGHT                         "WIZARDS_HID_LTRWIZ_NUMFOOTERHEIGHT"
#define HID_LTRWIZ_LSTLETTERNORM                           "WIZARDS_HID_LTRWIZ_LSTLETTERNORM"
#define HID_LTRWIZ_CHKUSELOGO                              "WIZARDS_HID_LTRWIZ_CHKUSELOGO"
#define HID_LTRWIZ_CHKUSEADDRESSRECEIVER                   "WIZARDS_HID_LTRWIZ_CHKUSEADDRESSRECEIVER"
#define HID_LTRWIZ_CHKUSESIGNS                             "WIZARDS_HID_LTRWIZ_CHKUSESIGNS"
#define HID_LTRWIZ_CHKUSESUBJECT                           "WIZARDS_HID_LTRWIZ_CHKUSESUBJECT"
#define HID_LTRWIZ_CHKUSESALUTATION                        "WIZARDS_HID_LTRWIZ_CHKUSESALUTATION"
#define HID_LTRWIZ_LSTSALUTATION                           "WIZARDS_HID_LTRWIZ_LSTSALUTATION"
#define HID_LTRWIZ_CHKUSEBENDMARKS                         "WIZARDS_HID_LTRWIZ_CHKUSEBENDMARKS"
#define HID_LTRWIZ_CHKUSEGREETING                          "WIZARDS_HID_LTRWIZ_CHKUSEGREETING"
#define HID_LTRWIZ_LSTGREETING                             "WIZARDS_HID_LTRWIZ_LSTGREETING"
#define HID_LTRWIZ_CHKUSEFOOTER                            "WIZARDS_HID_LTRWIZ_CHKUSEFOOTER"
#define HID_LTRWIZ_OPTSENDERPLACEHOLDER                    "WIZARDS_HID_LTRWIZ_OPTSENDERPLACEHOLDER"
#define HID_LTRWIZ_OPTSENDERDEFINE                         "WIZARDS_HID_LTRWIZ_OPTSENDERDEFINE"
#define HID_LTRWIZ_TXTSENDERNAME                           "WIZARDS_HID_LTRWIZ_TXTSENDERNAME"
#define HID_LTRWIZ_TXTSENDERSTREET                         "WIZARDS_HID_LTRWIZ_TXTSENDERSTREET"
#define HID_LTRWIZ_TXTSENDERPOSTCODE                       "WIZARDS_HID_LTRWIZ_TXTSENDERPOSTCODE"
#define HID_LTRWIZ_TXTSENDERSTATE_TEXT                     "WIZARDS_HID_LTRWIZ_TXTSENDERSTATE_TEXT"
#define HID_LTRWIZ_TXTSENDERCITY                           "WIZARDS_HID_LTRWIZ_TXTSENDERCITY"
#define HID_LTRWIZ_OPTRECEIVERPLACEHOLDER                  "WIZARDS_HID_LTRWIZ_OPTRECEIVERPLACEHOLDER"
#define HID_LTRWIZ_OPTRECEIVERDATABASE                     "WIZARDS_HID_LTRWIZ_OPTRECEIVERDATABASE"
#define HID_LTRWIZ_TXTFOOTER                               "WIZARDS_HID_LTRWIZ_TXTFOOTER"
#define HID_LTRWIZ_CHKFOOTERNEXTPAGES                      "WIZARDS_HID_LTRWIZ_CHKFOOTERNEXTPAGES"
#define HID_LTRWIZ_CHKFOOTERPAGENUMBERS                    "WIZARDS_HID_LTRWIZ_CHKFOOTERPAGENUMBERS"
#define HID_LTRWIZ_TXTTEMPLATENAME                         "WIZARDS_HID_LTRWIZ_TXTTEMPLATENAME"
#define HID_LTRWIZ_OPTCREATELETTER                         "WIZARDS_HID_LTRWIZ_OPTCREATELETTER"
#define HID_LTRWIZ_OPTMAKECHANGES                          "WIZARDS_HID_LTRWIZ_OPTMAKECHANGES"
#define HID_LTRWIZ_TXTPATH                                 "WIZARDS_HID_LTRWIZ_TXTPATH"
#define HID_LTRWIZ_CMDPATH                                 "WIZARDS_HID_LTRWIZ_CMDPATH"

#define HID_LTRWIZARD                                      "WIZARDS_HID_LTRWIZARD"
#define HID_LTRWIZARD_HELP                                 "WIZARDS_HID_LTRWIZARD_HELP"
#define HID_LTRWIZARD_BACK                                 "WIZARDS_HID_LTRWIZARD_BACK"
#define HID_LTRWIZARD_NEXT                                 "WIZARDS_HID_LTRWIZARD_NEXT"
#define HID_LTRWIZARD_CREATE                               "WIZARDS_HID_LTRWIZARD_CREATE"
#define HID_LTRWIZARD_CANCEL                               "WIZARDS_HID_LTRWIZARD_CANCEL"

#define HID_QUERYWIZARD_LSTTABLES                          "WIZARDS_HID_QUERYWIZARD_LSTTABLES"
#define HID_QUERYWIZARD_LSTFIELDS                          "WIZARDS_HID_QUERYWIZARD_LSTFIELDS"
#define HID_QUERYWIZARD_CMDMOVESELECTED                    "WIZARDS_HID_QUERYWIZARD_CMDMOVESELECTED"
#define HID_QUERYWIZARD_CMDMOVEALL                         "WIZARDS_HID_QUERYWIZARD_CMDMOVEALL"
#define HID_QUERYWIZARD_CMDREMOVESELECTED                  "WIZARDS_HID_QUERYWIZARD_CMDREMOVESELECTED"
#define HID_QUERYWIZARD_CMDREMOVEALL                       "WIZARDS_HID_QUERYWIZARD_CMDREMOVEALL"
#define HID_QUERYWIZARD_LSTSELFIELDS                       "WIZARDS_HID_QUERYWIZARD_LSTSELFIELDS"
#define HID_QUERYWIZARD_CMDMOVEUP                          "WIZARDS_HID_QUERYWIZARD_CMDMOVEUP"
#define HID_QUERYWIZARD_CMDMOVEDOWN                        "WIZARDS_HID_QUERYWIZARD_CMDMOVEDOWN"

#define HID_QUERYWIZARD_SORT1                              "WIZARDS_HID_QUERYWIZARD_SORT1"
#define HID_QUERYWIZARD_OPTASCEND1                         "WIZARDS_HID_QUERYWIZARD_OPTASCEND1"
#define HID_QUERYWIZARD_OPTDESCEND1                        "WIZARDS_HID_QUERYWIZARD_OPTDESCEND1"
#define HID_QUERYWIZARD_SORT2                              "WIZARDS_HID_QUERYWIZARD_SORT2"
#define HID_QUERYWIZARD_OPTASCEND2                         "WIZARDS_HID_QUERYWIZARD_OPTASCEND2"
#define HID_QUERYWIZARD_OPTDESCEND2                        "WIZARDS_HID_QUERYWIZARD_OPTDESCEND2"
#define HID_QUERYWIZARD_SORT3                              "WIZARDS_HID_QUERYWIZARD_SORT3"
#define HID_QUERYWIZARD_OPTASCEND3                         "WIZARDS_HID_QUERYWIZARD_OPTASCEND3"
#define HID_QUERYWIZARD_OPTDESCEND3                        "WIZARDS_HID_QUERYWIZARD_OPTDESCEND3"
#define HID_QUERYWIZARD_SORT4                              "WIZARDS_HID_QUERYWIZARD_SORT4"
#define HID_QUERYWIZARD_OPTASCEND4                         "WIZARDS_HID_QUERYWIZARD_OPTASCEND4"
#define HID_QUERYWIZARD_OPTDESCEND4                        "WIZARDS_HID_QUERYWIZARD_OPTDESCEND4"

#define HID_QUERYWIZARD_OPTMATCHALL                        "WIZARDS_HID_QUERYWIZARD_OPTMATCHALL"
#define HID_QUERYWIZARD_OPTMATCHANY                        "WIZARDS_HID_QUERYWIZARD_OPTMATCHANY"

#define HID_QUERYWIZARD_LSTFIELDNAME_1                     "WIZARDS_HID_QUERYWIZARD_LSTFIELDNAME_1"
#define HID_QUERYWIZARD_LSTOPERATOR_1                      "WIZARDS_HID_QUERYWIZARD_LSTOPERATOR_1"
#define HID_QUERYWIZARD_TXTVALUE_1                         "WIZARDS_HID_QUERYWIZARD_TXTVALUE_1"
#define HID_QUERYWIZARD_LSTFIELDNAME_2                     "WIZARDS_HID_QUERYWIZARD_LSTFIELDNAME_2"
#define HID_QUERYWIZARD_LSTOPERATOR_2                      "WIZARDS_HID_QUERYWIZARD_LSTOPERATOR_2"
#define HID_QUERYWIZARD_TXTVALUE_2                         "WIZARDS_HID_QUERYWIZARD_TXTVALUE_2"
#define HID_QUERYWIZARD_LSTFIELDNAME_3                     "WIZARDS_HID_QUERYWIZARD_LSTFIELDNAME_3"
#define HID_QUERYWIZARD_LSTOPERATOR_3                      "WIZARDS_HID_QUERYWIZARD_LSTOPERATOR_3"
#define HID_QUERYWIZARD_TXTVALUE_3                         "WIZARDS_HID_QUERYWIZARD_TXTVALUE_3"

#define HID_QUERYWIZARD_OPTAGGREGATEDETAILQUERY            "WIZARDS_HID_QUERYWIZARD_OPTAGGREGATEDETAILQUERY"
#define HID_QUERYWIZARD_OPTAGGREGATESUMMARYQUERY           "WIZARDS_HID_QUERYWIZARD_OPTAGGREGATESUMMARYQUERY"
#define HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_1             "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_1"
#define HID_QUERYWIZARD_LSTAGGREGATEFIELDS_1               "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFIELDS_1"
#define HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_2             "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_2"
#define HID_QUERYWIZARD_LSTAGGREGATEFIELDS_2               "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFIELDS_2"
#define HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_3             "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_3"
#define HID_QUERYWIZARD_LSTAGGREGATEFIELDS_3               "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFIELDS_3"
#define HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_4             "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_4"
#define HID_QUERYWIZARD_LSTAGGREGATEFIELDS_4               "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFIELDS_4"
#define HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_5             "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFUNCTION_5"
#define HID_QUERYWIZARD_LSTAGGREGATEFIELDS_5               "WIZARDS_HID_QUERYWIZARD_LSTAGGREGATEFIELDS_5"
#define HID_QUERYWIZARD_BTNAGGREGATEPLUS                   "WIZARDS_HID_QUERYWIZARD_BTNAGGREGATEPLUS"
#define HID_QUERYWIZARD_BTNAGGREGATEMINUS                  "WIZARDS_HID_QUERYWIZARD_BTNAGGREGATEMINUS"

#define HID_QUERYWIZARD_LSTFILTERFIELDS                    "WIZARDS_HID_QUERYWIZARD_LSTFILTERFIELDS"
#define HID_QUERYWIZARD_CMDFILTERMOVESELECTED              "WIZARDS_HID_QUERYWIZARD_CMDFILTERMOVESELECTED"
#define HID_QUERYWIZARD_CMDFILTERREMOVESELECTED            "WIZARDS_HID_QUERYWIZARD_CMDFILTERREMOVESELECTED"
#define HID_QUERYWIZARD_LSTFILTERSELFIELDS                 "WIZARDS_HID_QUERYWIZARD_LSTFILTERSELFIELDS"
#define HID_QUERYWIZARD_CMDFILTERMOVEUP                    "WIZARDS_HID_QUERYWIZARD_CMDFILTERMOVEUP"
#define HID_QUERYWIZARD_CMDFILTERMOVEDOWN                  "WIZARDS_HID_QUERYWIZARD_CMDFILTERMOVEDOWN"

#define HID_QUERYWIZARD_OPTGROUPMATCHALL                   "WIZARDS_HID_QUERYWIZARD_OPTGROUPMATCHALL"
#define HID_QUERYWIZARD_OPTGROUPMATCHANY                   "WIZARDS_HID_QUERYWIZARD_OPTGROUPMATCHANY"

#define HID_QUERYWIZARD_LSTFILTERFIELDNAME_1               "WIZARDS_HID_QUERYWIZARD_LSTFILTERFIELDNAME_1"
#define HID_QUERYWIZARD_LSTFILTEROPERATOR_1                "WIZARDS_HID_QUERYWIZARD_LSTFILTEROPERATOR_1"
#define HID_QUERYWIZARD_TXTFILTERVALUE_1                   "WIZARDS_HID_QUERYWIZARD_TXTFILTERVALUE_1"
#define HID_QUERYWIZARD_LSTFILTERFIELDNAME_2               "WIZARDS_HID_QUERYWIZARD_LSTFILTERFIELDNAME_2"
#define HID_QUERYWIZARD_LSTFILTEROPERATOR_2                "WIZARDS_HID_QUERYWIZARD_LSTFILTEROPERATOR_2"
#define HID_QUERYWIZARD_TXTFILTERVALUE_2                   "WIZARDS_HID_QUERYWIZARD_TXTFILTERVALUE_2"
#define HID_QUERYWIZARD_LSTFILTERFIELDNAME_3               "WIZARDS_HID_QUERYWIZARD_LSTFILTERFIELDNAME_3"
#define HID_QUERYWIZARD_LSTFILTEROPERATOR_3                "WIZARDS_HID_QUERYWIZARD_LSTFILTEROPERATOR_3"
#define HID_QUERYWIZARD_TXTFILTERVALUE_3                   "WIZARDS_HID_QUERYWIZARD_TXTFILTERVALUE_3"

#define HID_QUERYWIZARD_TXTTITLE_1                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_1"
#define HID_QUERYWIZARD_TXTTITLE_2                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_2"
#define HID_QUERYWIZARD_TXTTITLE_3                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_3"
#define HID_QUERYWIZARD_TXTTITLE_4                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_4"
#define HID_QUERYWIZARD_TXTTITLE_5                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_5"
#define HID_QUERYWIZARD_TXTTITLE_6                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_6"
#define HID_QUERYWIZARD_TXTTITLE_7                         "WIZARDS_HID_QUERYWIZARD_TXTTITLE_7"

#define HID_QUERYWIZARD_TXTQUERYTITLE                      "WIZARDS_HID_QUERYWIZARD_TXTQUERYTITLE"
#define HID_QUERYWIZARD_OPTDISPLAYQUERY                    "WIZARDS_HID_QUERYWIZARD_OPTDISPLAYQUERY"
#define HID_QUERYWIZARD_OPTMODIFYQUERY                     "WIZARDS_HID_QUERYWIZARD_OPTMODIFYQUERY"
#define HID_QUERYWIZARD_TXTSUMMARY                         "WIZARDS_HID_QUERYWIZARD_TXTSUMMARY"

#define HID_QUERYWIZARD                                    "WIZARDS_HID_QUERYWIZARD"
#define HID_QUERYWIZARD_BACK                               "WIZARDS_HID_QUERYWIZARD_BACK"
#define HID_QUERYWIZARD_NEXT                               "WIZARDS_HID_QUERYWIZARD_NEXT"
#define HID_QUERYWIZARD_CREATE                             "WIZARDS_HID_QUERYWIZARD_CREATE"
#define HID_QUERYWIZARD_CANCEL                             "WIZARDS_HID_QUERYWIZARD_CANCEL"

// ++++++++++++++++++++++++++++++++++++++
// +++ Web Wizard : Continued from 34312
// ++++++++++++++++++++++++++++++++++++++
// web wizard iconssets dialog
#define HID_IS                                             "WIZARDS_HID_IS"
#define HID_IS_BTN_NONE                                    "WIZARDS_HID_IS_BTN_NONE"
#define HID_IS_BTN_OK                                      "WIZARDS_HID_IS_BTN_OK"
#define HID_IS_BTN_CANCEL                                  "WIZARDS_HID_IS_BTN_CANCEL"

#define HID_IS_BTN_IMG1                                    "WIZARDS_HID_IS_BTN_IMG1"
#define HID_IS_BTN_IMG2                                    "WIZARDS_HID_IS_BTN_IMG2"
#define HID_IS_BTN_IMG3                                    "WIZARDS_HID_IS_BTN_IMG3"
#define HID_IS_BTN_IMG4                                    "WIZARDS_HID_IS_BTN_IMG4"
#define HID_IS_BTN_IMG5                                    "WIZARDS_HID_IS_BTN_IMG5"
#define HID_IS_BTN_IMG6                                    "WIZARDS_HID_IS_BTN_IMG6"
#define HID_IS_BTN_IMG7                                    "WIZARDS_HID_IS_BTN_IMG7"
#define HID_IS_BTN_IMG8                                    "WIZARDS_HID_IS_BTN_IMG8"
#define HID_IS_BTN_IMG9                                    "WIZARDS_HID_IS_BTN_IMG9"
#define HID_IS_BTN_IMG10                                   "WIZARDS_HID_IS_BTN_IMG10"
#define HID_IS_BTN_IMG11                                   "WIZARDS_HID_IS_BTN_IMG11"
#define HID_IS_BTN_IMG12                                   "WIZARDS_HID_IS_BTN_IMG12"
#define HID_IS_BTN_IMG13                                   "WIZARDS_HID_IS_BTN_IMG13"
#define HID_IS_BTN_IMG14                                   "WIZARDS_HID_IS_BTN_IMG14"
#define HID_IS_BTN_IMG15                                   "WIZARDS_HID_IS_BTN_IMG15"
#define HID_IS_BTN_IMG16                                   "WIZARDS_HID_IS_BTN_IMG16"
#define HID_IS_BTN_IMG17                                   "WIZARDS_HID_IS_BTN_IMG17"
#define HID_IS_BTN_IMG18                                   "WIZARDS_HID_IS_BTN_IMG18"
#define HID_IS_BTN_IMG19                                   "WIZARDS_HID_IS_BTN_IMG19"
#define HID_IS_BTN_IMG20                                   "WIZARDS_HID_IS_BTN_IMG20"
#define HID_IS_BTN_IMG21                                   "WIZARDS_HID_IS_BTN_IMG21"
#define HID_IS_BTN_IMG22                                   "WIZARDS_HID_IS_BTN_IMG22"
#define HID_IS_BTN_IMG23                                   "WIZARDS_HID_IS_BTN_IMG23"
#define HID_IS_BTN_IMG24                                   "WIZARDS_HID_IS_BTN_IMG24"
#define HID_IS_BTN_IMG25                                   "WIZARDS_HID_IS_BTN_IMG25"
#define HID_IS_BTN_IMG26                                   "WIZARDS_HID_IS_BTN_IMG26"
#define HID_IS_BTN_IMG27                                   "WIZARDS_HID_IS_BTN_IMG27"
#define HID_IS_BTN_IMG28                                   "WIZARDS_HID_IS_BTN_IMG28"
#define HID_IS_BTN_IMG29                                   "WIZARDS_HID_IS_BTN_IMG29"
#define HID_IS_BTN_IMG30                                   "WIZARDS_HID_IS_BTN_IMG30"
#define HID_IS_BTN_IMG31                                   "WIZARDS_HID_IS_BTN_IMG31"
#define HID_IS_BTN_IMG32                                   "WIZARDS_HID_IS_BTN_IMG32"

// web wizard ftp dialog
#define HID_FTP                                            "WIZARDS_HID_FTP"
#define HID_FTP_SERVER                                     "WIZARDS_HID_FTP_SERVER"
#define HID_FTP_USERNAME                                   "WIZARDS_HID_FTP_USERNAME"
#define HID_FTP_PASS                                       "WIZARDS_HID_FTP_PASS"
#define HID_FTP_TEST                                       "WIZARDS_HID_FTP_TEST"
#define HID_FTP_TXT_PATH                                   "WIZARDS_HID_FTP_TXT_PATH"
#define HID_FTP_BTN_PATH                                   "WIZARDS_HID_FTP_BTN_PATH"
#define HID_FTP_OK                                         "WIZARDS_HID_FTP_OK"
#define HID_FTP_CANCEL                                     "WIZARDS_HID_FTP_CANCEL"


/* ====================================
 *                 AGENDA WIZARD
 *                 41051 - 41099
 * ====================================
 */

// step 0 - navibar

#define HID_AGWIZ                                          "WIZARDS_HID_AGWIZ"
#define HID_AGWIZ_HELP                                     "WIZARDS_HID_AGWIZ_HELP"
#define HID_AGWIZ_NEXT                                     "WIZARDS_HID_AGWIZ_NEXT"
#define HID_AGWIZ_PREV                                     "WIZARDS_HID_AGWIZ_PREV"
#define HID_AGWIZ_CREATE                                   "WIZARDS_HID_AGWIZ_CREATE"
#define HID_AGWIZ_CANCEL                                   "WIZARDS_HID_AGWIZ_CANCEL"

//step 1 - design

#define HID_AGWIZ_1_LIST_PAGEDESIGN                        "WIZARDS_HID_AGWIZ_1_LIST_PAGEDESIGN"
#define HID_AGWIZ_1_CHK_MINUTES                            "WIZARDS_HID_AGWIZ_1_CHK_MINUTES"

// step 2 - general attributes

#define HID_AGWIZ_2_TXT_TIME                               "WIZARDS_HID_AGWIZ_2_TXT_TIME"
#define HID_AGWIZ_2_TXT_DATE                               "WIZARDS_HID_AGWIZ_2_TXT_DATE"
#define HID_AGWIZ_2_TXT_TITLE                              "WIZARDS_HID_AGWIZ_2_TXT_TITLE"
#define HID_AGWIZ_2_TXT_LOCATION                           "WIZARDS_HID_AGWIZ_2_TXT_LOCATION"

// step 3 - headings

#define HID_AGWIZ_3_CHK_MEETING_TYPE                       "WIZARDS_HID_AGWIZ_3_CHK_MEETING_TYPE"
#define HID_AGWIZ_3_CHK_READ                               "WIZARDS_HID_AGWIZ_3_CHK_READ"
#define HID_AGWIZ_3_CHK_BRING                              "WIZARDS_HID_AGWIZ_3_CHK_BRING"
#define HID_AGWIZ_3_CHK_NOTES                              "WIZARDS_HID_AGWIZ_3_CHK_NOTES"

// step 4 - names

#define HID_AGWIZ_4_CHK_CALLED_BY                          "WIZARDS_HID_AGWIZ_4_CHK_CALLED_BY"
#define HID_AGWIZ_4_CHK_FACILITATOR                        "WIZARDS_HID_AGWIZ_4_CHK_FACILITATOR"
#define HID_AGWIZ_4_CHK_NOTETAKER                          "WIZARDS_HID_AGWIZ_4_CHK_NOTETAKER"
#define HID_AGWIZ_4_CHK_TIMEKEEPER                         "WIZARDS_HID_AGWIZ_4_CHK_TIMEKEEPER"
#define HID_AGWIZ_4_CHK_ATTENDEES                          "WIZARDS_HID_AGWIZ_4_CHK_ATTENDEES"
#define HID_AGWIZ_4_CHK_OBSERVERS                          "WIZARDS_HID_AGWIZ_4_CHK_OBSERVERS"
#define HID_AGWIZ_4_CHK_RESOURCEPERSONS                    "WIZARDS_HID_AGWIZ_4_CHK_RESOURCEPERSONS"

// step 5 - topics

#define HID_AGWIZ_6_TXT_TEMPLATENAME                       "WIZARDS_HID_AGWIZ_6_TXT_TEMPLATENAME"
#define HID_AGWIZ_6_TXT_TEMPLATEPATH                       "WIZARDS_HID_AGWIZ_6_TXT_TEMPLATEPATH"
#define HID_AGWIZ_6_BTN_TEMPLATEPATH                       "WIZARDS_HID_AGWIZ_6_BTN_TEMPLATEPATH"

// step 6 - file info

#define HID_AGWIZ_6_OPT_CREATEAGENDA                       "WIZARDS_HID_AGWIZ_6_OPT_CREATEAGENDA"
#define HID_AGWIZ_6_OPT_MAKECHANGES                        "WIZARDS_HID_AGWIZ_6_OPT_MAKECHANGES"

// - again step 5 - buttons

#define HID_AGWIZ_5_BTN_INSERT                             "WIZARDS_HID_AGWIZ_5_BTN_INSERT"
#define HID_AGWIZ_5_BTN_REMOVE                             "WIZARDS_HID_AGWIZ_5_BTN_REMOVE"
#define HID_AGWIZ_5_BTN_UP                                 "WIZARDS_HID_AGWIZ_5_BTN_UP"
#define HID_AGWIZ_5_BTN_DOWN                               "WIZARDS_HID_AGWIZ_5_BTN_DOWN"

// again step 5 - scroll control

#define HID_AGWIZ_5_SCROLL_BAR                             "WIZARDS_HID_AGWIZ_5_SCROLL_BAR"

#define HID_AGWIZ_5_TXT_TOPIC_1                            "WIZARDS_HID_AGWIZ_5_TXT_TOPIC_1"
#define HID_AGWIZ_5_TXT_RESPONSIBLE_1                      "WIZARDS_HID_AGWIZ_5_TXT_RESPONSIBLE_1"
#define HID_AGWIZ_5_TXT_MINUTES_1                          "WIZARDS_HID_AGWIZ_5_TXT_MINUTES_1"

#define HID_AGWIZ_5_TXT_TOPIC_2                            "WIZARDS_HID_AGWIZ_5_TXT_TOPIC_2"
#define HID_AGWIZ_5_TXT_RESPONSIBLE_2                      "WIZARDS_HID_AGWIZ_5_TXT_RESPONSIBLE_2"
#define HID_AGWIZ_5_TXT_MINUTES_2                          "WIZARDS_HID_AGWIZ_5_TXT_MINUTES_2"

#define HID_AGWIZ_5_TXT_TOPIC_3                            "WIZARDS_HID_AGWIZ_5_TXT_TOPIC_3"
#define HID_AGWIZ_5_TXT_RESPONSIBLE_3                      "WIZARDS_HID_AGWIZ_5_TXT_RESPONSIBLE_3"
#define HID_AGWIZ_5_TXT_MINUTES_3                          "WIZARDS_HID_AGWIZ_5_TXT_MINUTES_3"

#define HID_AGWIZ_5_TXT_TOPIC_4                            "WIZARDS_HID_AGWIZ_5_TXT_TOPIC_4"
#define HID_AGWIZ_5_TXT_RESPONSIBLE_4                      "WIZARDS_HID_AGWIZ_5_TXT_RESPONSIBLE_4"
#define HID_AGWIZ_5_TXT_MINUTES_4                          "WIZARDS_HID_AGWIZ_5_TXT_MINUTES_4"

#define HID_AGWIZ_5_TXT_TOPIC_5                            "WIZARDS_HID_AGWIZ_5_TXT_TOPIC_5"
#define HID_AGWIZ_5_TXT_RESPONSIBLE_5                      "WIZARDS_HID_AGWIZ_5_TXT_RESPONSIBLE_5"
#define HID_AGWIZ_5_TXT_MINUTES_5                          "WIZARDS_HID_AGWIZ_5_TXT_MINUTES_5"


//FaxWizard---------------------------

#define HID_FAXWIZ_OPTBUSINESSFAX                          "WIZARDS_HID_FAXWIZ_OPTBUSINESSFAX"
#define HID_FAXWIZ_LSTBUSINESSSTYLE                        "WIZARDS_HID_FAXWIZ_LSTBUSINESSSTYLE"
#define HID_FAXWIZ_OPTPRIVATEFAX                           "WIZARDS_HID_FAXWIZ_OPTPRIVATEFAX"
#define HID_LSTPRIVATESTYLE                                "WIZARDS_HID_LSTPRIVATESTYLE"
#define HID_IMAGECONTROL3                                  "WIZARDS_HID_IMAGECONTROL3"
#define HID_CHKUSELOGO                                     "WIZARDS_HID_CHKUSELOGO"
#define HID_CHKUSEDATE                                     "WIZARDS_HID_CHKUSEDATE"
#define HID_CHKUSECOMMUNICATIONTYPE                        "WIZARDS_HID_CHKUSECOMMUNICATIONTYPE"
#define HID_LSTCOMMUNICATIONTYPE                           "WIZARDS_HID_LSTCOMMUNICATIONTYPE"
#define HID_CHKUSESUBJECT                                  "WIZARDS_HID_CHKUSESUBJECT"
#define HID_CHKUSESALUTATION                               "WIZARDS_HID_CHKUSESALUTATION"
#define HID_LSTSALUTATION                                  "WIZARDS_HID_LSTSALUTATION"
#define HID_CHKUSEGREETING                                 "WIZARDS_HID_CHKUSEGREETING"
#define HID_LSTGREETING                                    "WIZARDS_HID_LSTGREETING"
#define HID_CHKUSEFOOTER                                   "WIZARDS_HID_CHKUSEFOOTER"
#define HID_OPTSENDERPLACEHOLDER                           "WIZARDS_HID_OPTSENDERPLACEHOLDER"
#define HID_OPTSENDERDEFINE                                "WIZARDS_HID_OPTSENDERDEFINE"
#define HID_TXTSENDERNAME                                  "WIZARDS_HID_TXTSENDERNAME"
#define HID_TXTSENDERSTREET                                "WIZARDS_HID_TXTSENDERSTREET"
#define HID_TXTSENDERPOSTCODE                              "WIZARDS_HID_TXTSENDERPOSTCODE"
#define HID_TXTSENDERSTATE                                 "WIZARDS_HID_TXTSENDERSTATE"
#define HID_TXTSENDERCITY                                  "WIZARDS_HID_TXTSENDERCITY"
#define HID_TXTSENDERFAX                                   "WIZARDS_HID_TXTSENDERFAX"
#define HID_OPTRECEIVERPLACEHOLDER                         "WIZARDS_HID_OPTRECEIVERPLACEHOLDER"
#define HID_OPTRECEIVERDATABASE                            "WIZARDS_HID_OPTRECEIVERDATABASE"
#define HID_TXTFOOTER                                      "WIZARDS_HID_TXTFOOTER"
#define HID_CHKFOOTERNEXTPAGES                             "WIZARDS_HID_CHKFOOTERNEXTPAGES"
#define HID_CHKFOOTERPAGENUMBERS                           "WIZARDS_HID_CHKFOOTERPAGENUMBERS"
#define HID_TXTTEMPLATENAME                                "WIZARDS_HID_TXTTEMPLATENAME"
#define HID_FILETEMPLATEPATH                               "WIZARDS_HID_FILETEMPLATEPATH"
#define HID_OPTCREATEFAX                                   "WIZARDS_HID_OPTCREATEFAX"
#define HID_OPTMAKECHANGES                                 "WIZARDS_HID_OPTMAKECHANGES"
#define HID_IMAGECONTROL2                                  "WIZARDS_HID_IMAGECONTROL2"
#define HID_FAXWIZ_TXTPATH                                 "WIZARDS_HID_FAXWIZ_TXTPATH"
#define HID_FAXWIZ_CMDPATH                                 "WIZARDS_HID_FAXWIZ_CMDPATH"

#define HID_FAXWIZARD                                      "WIZARDS_HID_FAXWIZARD"
#define HID_FAXWIZARD_HELP                                 "WIZARDS_HID_FAXWIZARD_HELP"
#define HID_FAXWIZARD_BACK                                 "WIZARDS_HID_FAXWIZARD_BACK"
#define HID_FAXWIZARD_NEXT                                 "WIZARDS_HID_FAXWIZARD_NEXT"
#define HID_FAXWIZARD_CREATE                               "WIZARDS_HID_FAXWIZARD_CREATE"
#define HID_FAXWIZARD_CANCEL                               "WIZARDS_HID_FAXWIZARD_CANCEL"



/* ====================================
 *                 TableWizard
 * ====================================
 */

#define HID_DLGTABLE_DIALOG                                "WIZARDS_HID_DLGTABLE_DIALOG"
#define HID_DLGTABLE_CMDPREV                               "WIZARDS_HID_DLGTABLE_CMDPREV"
#define HID_DLGTABLE_CMDNEXT                               "WIZARDS_HID_DLGTABLE_CMDNEXT"
#define HID_DLGTABLE_CMDFINISH                             "WIZARDS_HID_DLGTABLE_CMDFINISH"
#define HID_DLGTABLE_CMDCANCEL                             "WIZARDS_HID_DLGTABLE_CMDCANCEL"


#define HID_DLGTABLE_OPTBUSINESS                           "WIZARDS_HID_DLGTABLE_OPTBUSINESS"
#define HID_DLGTABLE_OPTPRIVATE                            "WIZARDS_HID_DLGTABLE_OPTPRIVATE"


#define HID_DLGTABLE_LBTABLES                              "WIZARDS_HID_DLGTABLE_LBTABLES"
#define HID_DLGTABLE_FIELDSAVAILABLE                       "WIZARDS_HID_DLGTABLE_FIELDSAVAILABLE"
#define HID_DLGTABLE_CMDMOVESELECTED                       "WIZARDS_HID_DLGTABLE_CMDMOVESELECTED"
#define HID_DLGTABLE_CMDMOVEALL                            "WIZARDS_HID_DLGTABLE_CMDMOVEALL"
#define HID_DLGTABLE_CMDREMOVESELECTED                     "WIZARDS_HID_DLGTABLE_CMDREMOVESELECTED"
#define HID_DLGTABLE_CMDREMOVEALL                          "WIZARDS_HID_DLGTABLE_CMDREMOVEALL"
#define HID_DLGTABLE_FIELDSSELECTED                        "WIZARDS_HID_DLGTABLE_FIELDSSELECTED"

#define HID_DLGTABLE_CMDMOVEUP                             "WIZARDS_HID_DLGTABLE_CMDMOVEUP"
#define HID_DLGTABLE_CMDMOVEDOWN                           "WIZARDS_HID_DLGTABLE_CMDMOVEDOWN"


#define HID_DLGTABLE_LB_SELFIELDNAMES                      "WIZARDS_HID_DLGTABLE_LB_SELFIELDNAMES"
#define HID_DLGTABLE_CMDMOVEFIELDUP                        "WIZARDS_HID_DLGTABLE_CMDMOVEFIELDUP"
#define HID_DLGTABLE_CMDMOVEFIELDDOWN                      "WIZARDS_HID_DLGTABLE_CMDMOVEFIELDDOWN"
#define HID_DLGTABLE_CMDMINUS                              "WIZARDS_HID_DLGTABLE_CMDMINUS"
#define HID_DLGTABLE_CMDPLUS                               "WIZARDS_HID_DLGTABLE_CMDPLUS"
#define HID_DLGTABLE_COLNAME                               "WIZARDS_HID_DLGTABLE_COLNAME"
#define HID_DLGTABLE_COLMODIFIER                           "WIZARDS_HID_DLGTABLE_COLMODIFIER"


#define HID_DLGTABLE_CHK_USEPRIMEKEY                       "WIZARDS_HID_DLGTABLE_CHK_USEPRIMEKEY"
#define HID_DLGTABLE_OPT_PK_AUTOMATIC                      "WIZARDS_HID_DLGTABLE_OPT_PK_AUTOMATIC"

#define HID_DLGTABLE_CK_PK_AUTOVALUE_AUTOMATIC             "WIZARDS_HID_DLGTABLE_CK_PK_AUTOVALUE_AUTOMATIC"

#define HID_DLGTABLE_OPT_PK_SINGLE                         "WIZARDS_HID_DLGTABLE_OPT_PK_SINGLE"
#define HID_DLGTABLE_LB_PK_FIELDNAME                       "WIZARDS_HID_DLGTABLE_LB_PK_FIELDNAME"
#define HID_DLGTABLE_CK_PK_AUTOVALUE                       "WIZARDS_HID_DLGTABLE_CK_PK_AUTOVALUE"
#define HID_DLGTABLE_OPT_PK_SEVERAL                        "WIZARDS_HID_DLGTABLE_OPT_PK_SEVERAL"
#define HID_DLGTABLE_FIELDS_PK_AVAILABLE                   "WIZARDS_HID_DLGTABLE_FIELDS_PK_AVAILABLE"
#define HID_DLGTABLE_CMDMOVE_PK_SELECTED                   "WIZARDS_HID_DLGTABLE_CMDMOVE_PK_SELECTED"
#define HID_DLGTABLE_CMDREMOVE_PK_SELECTED                 "WIZARDS_HID_DLGTABLE_CMDREMOVE_PK_SELECTED"
#define HID_DLGTABLE_FIELDS_PK_SELECTED                    "WIZARDS_HID_DLGTABLE_FIELDS_PK_SELECTED"

#define HID_DLGTABLE_CMDMOVEUP_PK_SELECTED                 "WIZARDS_HID_DLGTABLE_CMDMOVEUP_PK_SELECTED"
#define HID_DLGTABLE_CMDMOVEDOWN_PK_SELECTED               "WIZARDS_HID_DLGTABLE_CMDMOVEDOWN_PK_SELECTED"




#define HID_DLGTABLE_TXT_NAME                              "WIZARDS_HID_DLGTABLE_TXT_NAME"
#define HID_DLGTABLE_OPT_MODIFYTABLE                       "WIZARDS_HID_DLGTABLE_OPT_MODIFYTABLE"
#define HID_DLGTABLE_OPT_WORKWITHTABLE                     "WIZARDS_HID_DLGTABLE_OPT_WORKWITHTABLE"
#define HID_DLGTABLE_OPT_STARTFORMWIZARD                   "WIZARDS_HID_DLGTABLE_OPT_STARTFORMWIZARD"
#define HID_DLGTABLE_LST_CATALOG                           "WIZARDS_HID_DLGTABLE_LST_CATALOG"
#define HID_DLGTABLE_LST_SCHEMA                            "WIZARDS_HID_DLGTABLE_LST_SCHEMA"




//End at 42767

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
